﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace MTI_7000
{
    class estrutura
    {
        //Estrutura para receber os dados do cartão magnético
        public struct Recebe_Cartao
        {
            [MarshalAsAttribute(UnmanagedType.ByValArray, SizeConst = 128)]
            public byte[] card;
            public long status;
        }

        //Estrutura para receber as configurações do ip cliente, ip servidor, máscara de rede e o ip dinâmico
        public struct Ethernet
        {
            public int cliente;
            public int servidor;
            public int mascara;
            public int dinamico;

        }

        //Estrutura para receber as configurações do gateway, dns e o nome do terminal.
        public struct DNS
        {
            public int gateway;
            public int dns;
            [MarshalAsAttribute(UnmanagedType.ByValArray, SizeConst = 16)]
            public byte[] terminal;


        }

        //Estrutura para receber as configurações da serial
        public struct Receber_Serial
        {
            public int baud_rate;
            public short bits;
            public short parity;
            public short stop;
            public byte handshake;

        }

        //Estrutura para enviar as configurações da serial
        public struct Enviar_Serial
        {

            public int baud_rate;
            public short bits;
            public short parity;
        }

        //Estrutura para enviar as configurações da serial
        public struct Enviar_Serial_Auxiliar
        {

            public byte com;
            public Enviar_Serial configuracao;
        }


    }
}
