package Classe;

import DLL.Estrutura_Dados;
import Telas.IP_Conectados;
import Telas.Microterminal;
import Thread.Trata_Conexao;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class Trata_Tecla {

    static Estrutura_Dados microterminal = null;
    public String tratamento_tecla1;
    public String tratamento_tecla2;
    public String tratamento_tecla3;
    int terminal;
    String[] enderecos;
    byte ded3 = (byte) 256;
    IP_Conectados endereco_ip = new IP_Conectados();

    //Método que chama a 1ª tela do sistema de teste do microterminal
    public void codigo_produto() {

        microterminal = Estrutura_Dados.INSTANCE;

        terminal = endereco_ip.getIndex();

        microterminal.mt_formfeed(terminal);

        microterminal.mt_gotoxy(terminal, 1, 0);
        microterminal.mt_dispstr(terminal, "****************");

        microterminal.mt_gotoxy(terminal, 2, 0);
        microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");

        microterminal.mt_gotoxy(terminal, 3, 0);
        microterminal.mt_dispstr(terminal, "****************");

        microterminal.mt_gotoxy(terminal, 8, 0);
        microterminal.mt_dispstr(terminal, "****************");

        microterminal.mt_gotoxy(terminal, 4, 0);
        microterminal.mt_dispstr(terminal, "DIGITE O CODIGO");

        microterminal.mt_gotoxy(terminal, 5, 0);
        microterminal.mt_dispstr(terminal, "DO PRODUTO:");

        microterminal.mt_gotoxy(terminal, 7, 0);

        microterminal.mt_seteditstring(terminal, "", true, false);

        enderecos = Trata_Conexao.getEnderecos();

        Microterminal.log1.append("\nIDvSetEditString - DIGITE O CODIGO DO PRODUTO: - " + enderecos[0]);

    }

    //Método que chama a 2ª tela do sistema de teste do microterminal
    public void quantidade_produto() {

        microterminal = Estrutura_Dados.INSTANCE;

        terminal = endereco_ip.getIndex();

        microterminal.mt_dispclrln(terminal, 4);
        microterminal.mt_dispclrln(terminal, 5);
        microterminal.mt_dispclrln(terminal, 6);
        microterminal.mt_dispclrln(terminal, 7);

        microterminal.mt_setenablekey(terminal, true);

        microterminal.mt_gotoxy(terminal, 4, 0);
        microterminal.mt_dispstr(terminal, "DIGITE A QUANT.");

        microterminal.mt_gotoxy(terminal, 5, 0);
        microterminal.mt_dispstr(terminal, "DO PRODUTO:");

        microterminal.mt_gotoxy(terminal, 7, 0);

        microterminal.mt_seteditstring(terminal, "", true, false);

        enderecos = Trata_Conexao.getEnderecos();

        Microterminal.log1.append("\nIDvSetEditString - DIGITE A QUANT. DO PRODUTO: - " + enderecos[0]);

    }

    //Método que chama a 3ª tela do sistema de teste do microterminal
    public void preco_produto() {

        microterminal = Estrutura_Dados.INSTANCE;

        terminal = endereco_ip.getIndex();

        microterminal.mt_dispclrln(terminal, 4);
        microterminal.mt_dispclrln(terminal, 5);
        microterminal.mt_dispclrln(terminal, 6);
        microterminal.mt_dispclrln(terminal, 7);

        microterminal.mt_setenablekey(terminal, true);

        microterminal.mt_gotoxy(terminal, 4, 0);
        microterminal.mt_dispstr(terminal, "DIGITE O PRECO");

        microterminal.mt_gotoxy(terminal, 5, 0);
        microterminal.mt_dispstr(terminal, "DO PRODUTO:");

        microterminal.mt_gotoxy(terminal, 7, 0);

        microterminal.mt_seteditstring(terminal, "", true, false);

        enderecos = Trata_Conexao.getEnderecos();

        Microterminal.log1.append("\nIDvSetEditString - DIGITE O PRECO DO PRUDUTO: - " + enderecos[0]);

    }

    //Método que chama a 4ª tela do sistema de teste do microterminal
    public void imprimir_tela() {

        microterminal = Estrutura_Dados.INSTANCE;

        terminal = endereco_ip.getIndex();


        microterminal.mt_dispclrln(terminal, 5);
        microterminal.mt_dispclrln(terminal, 6);
        microterminal.mt_dispclrln(terminal, 7);

        microterminal.mt_setenablekey(terminal, true);

        microterminal.mt_dispclrln(terminal, 4);
        microterminal.mt_gotoxy(terminal, 4, 0);
        microterminal.mt_dispstr(terminal, "(1)IMP.GRANDE");
        microterminal.mt_gotoxy(terminal, 5, 0);
        microterminal.mt_dispstr(terminal, "(2)IMP.PEQUENO");
        microterminal.mt_gotoxy(terminal, 7, 0);
        microterminal.mt_dispstr(terminal, "OPC( )");
        microterminal.mt_gotoxy(terminal, 7, 5);
        microterminal.mt_seteditstring(terminal, "", true, false);

        enderecos = Trata_Conexao.getEnderecos();

        Microterminal.log1.append("\nIDvSetEditString - (1)IMP.GRANDE (2)IMP.PEQUENO OPC( ) - " + enderecos[0]);

    }

    //Método que chama a 4ª tela do sistema de teste do microterminal e imprimi os dados confirmados
    public void imprimir_papel(String codigo, String quantidade, String preco, String com) throws InterruptedException {

        this.tratamento_tecla1 = codigo.trim();
        this.tratamento_tecla2 = quantidade.trim();
        this.tratamento_tecla3 = preco.trim();


        microterminal = Estrutura_Dados.INSTANCE;

        terminal = endereco_ip.getIndex();

        //Opção imprimi pequeno
        if (com.compareTo("2") == 0) {

            JOptionPane.showMessageDialog(null, "**********************\nSISTEMA MTI-7000\n\n**********************\n"
                    + "COD. PROD.:" + tratamento_tecla1 + "\n" + "QTD. PROD.:" + tratamento_tecla2
                    + "\n" + "PRECO PROD.:" + tratamento_tecla3 + "\n" + "**********************", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));


            microterminal.mt_sendbinserial(terminal, (byte) 2, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "SISTEMA MTI-7000", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "COD. PROD.:" + codigo, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "QTD. PROD.:" + quantidade, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "PRECO PROD.:" + preco, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 2, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);

        } else {

            //Opção imprimi grande
            JOptionPane.showMessageDialog(null, "**********************\nSISTEMA MTI-7000\n\n**********************\n"
                    + "COD. PROD.:" + tratamento_tecla1 + "\n" + "QTD. PROD.:" + tratamento_tecla2 + "\n"
                    + "PRECO PROD.:" + tratamento_tecla3 + "\n" + "**********************", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            microterminal.mt_sendbinserial(terminal, (byte) 3, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "SISTEMA MTI-7000", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "COD. PROD.:" + codigo, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "QTD. PROD.:" + quantidade, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "PRECO PROD.:" + preco, ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "****************", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);
            microterminal.mt_sendbinserial(terminal, (byte) 3, "\n", ded3);
            Thread.sleep(100);

        }

    }
}
