package Telas;

import Classe.Tela_Microterminal;
import Classe.Trata_Tecla;
import DLL.Estrutura_Dados;
import Thread.Trata_Acao;
import Thread.Trata_Conexao;
import Thread.Trata_Tela_IP;
import java.awt.Color;
import java.awt.HeadlessException;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JTextArea;

public class Microterminal extends javax.swing.JFrame {

    int[] vnome = new int[10];
    int conecmsg = 0x0400 + 2,
            commumsg = 0x0400 + 1, terminal = 0;
    static Estrutura_Dados microterminal = null;
    static int conexao;
    static int controle_tela = 0;
    String[] enderecos;
    Trata_Acao acao = new Trata_Acao();
    Trata_Tecla cod = new Trata_Tecla();
    Trata_Conexao conect = new Trata_Conexao();
    Trata_Tela_IP menu = new Trata_Tela_IP();
    Testar_DLL dll = new Testar_DLL();
    IP_Conectados endereco_ip = new IP_Conectados();

    public Microterminal() {



        initComponents();

        //Define a imagem de Fundo do JPanel
        Tela_Microterminal background = new Tela_Microterminal("src/Imagem/Gertec_Fundo_Pequeno.jpg");
        background.setSize(800, 800);
        getContentPane().add(background);

        //Método que possibilita o usuário escolher se deseja finalizar o programa ou não
        setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

        //Método que verifica se a tela foi fechada
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent evt) {
                String ConfirmaSaida = "Deseja sair da aplicação MTI-7000?";
                String Titulo = "MTI-7000";
                int i = JOptionPane.showConfirmDialog(null, ConfirmaSaida, Titulo, JOptionPane.OK_OPTION,
                        JOptionPane.CLOSED_OPTION, new ImageIcon("src/Imagem/Gertec.jpg"));

                //OPÇÃO = FECHAR TELA
                if (i == JOptionPane.YES_OPTION) {

                    try {

                        enderecos = Trata_Conexao.getEnderecos();

                        //Verifica tem algum terminal conectado
                        if (enderecos[0].matches(enderecos[0])) {


                            microterminal = Estrutura_Dados.INSTANCE;
                            terminal = endereco_ip.getIndex();

                            //Verifica se tem algum terminal selecionado
                            if (terminal == 1) {

                                JOptionPane.showMessageDialog(null, "Aguarde até o MTI-7000 se desconectar!",
                                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                                microterminal.mt_formfeed(terminal);

                                microterminal.mt_gotoxy(terminal, 1, 1);
                                microterminal.mt_dispstr(terminal, "SAINDO DO");
                                microterminal.mt_gotoxy(terminal, 2, 1);
                                microterminal.mt_dispstr(terminal, "APLICATIVO");
                                microterminal.mt_gotoxy(terminal, 3, 1);
                                microterminal.mt_dispstr(terminal, "MTI-7000");

                                microterminal.mt_gotoxy(terminal, 4, 1);
                                microterminal.mt_dispstr(terminal, "AGUARDE.");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 9);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 10);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_dispclrln(terminal, 4);
                                microterminal.mt_gotoxy(terminal, 4, 1);
                                microterminal.mt_dispstr(terminal, "AGUARDE.");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 9);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 10);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_dispclrln(terminal, 4);
                                microterminal.mt_gotoxy(terminal, 4, 1);
                                microterminal.mt_dispstr(terminal, "AGUARDE.");
                                Thread.sleep(800);


                                microterminal.mt_gotoxy(terminal, 4, 9);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 10);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_dispclrln(terminal, 4);
                                microterminal.mt_gotoxy(terminal, 4, 1);
                                microterminal.mt_dispstr(terminal, "AGUARDE.");
                                Thread.sleep(800);


                                microterminal.mt_gotoxy(terminal, 4, 9);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 10);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_dispclrln(terminal, 4);
                                microterminal.mt_gotoxy(terminal, 4, 1);
                                microterminal.mt_dispstr(terminal, "AGUARDE.");
                                Thread.sleep(800);


                                microterminal.mt_gotoxy(terminal, 4, 9);
                                microterminal.mt_dispstr(terminal, ".");
                                Thread.sleep(800);

                                microterminal.mt_gotoxy(terminal, 4, 10);
                                microterminal.mt_dispstr(terminal, ".");

                                acao.stop();
                                conect.stop();

                                microterminal.mt_finishserver();


                                Thread.sleep(13700);

                                JOptionPane.showMessageDialog(null, "MTI-7000 desconectado com sucesso!",
                                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                System.exit(1);


                            } else {
                                JOptionPane.showMessageDialog(null, "Aguarde até o MTI-7000 se desconectar!",
                                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                acao.stop();
                                conect.stop();
                                microterminal.mt_finishserver();
                                try {
                                    Thread.sleep(10000);
                                } catch (InterruptedException ex) {
                                }
                                JOptionPane.showMessageDialog(null, "MTI-7000 desconectado com sucesso!",
                                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                                System.exit(1);
                            }

                        }
                    } catch (Throwable e) {
                        acao.stop();
                        conect.stop();
                        microterminal.mt_finishserver();
                        System.exit(1);
                    }

                }


            }
        });


        //Método que inicializa o JLabel no centro
        setLocationRelativeTo(null);

        //Definir ícone, cor de fundo e desabilitar a maximização
        Image icon = Toolkit.getDefaultToolkit().getImage("src/Imagem/Gertec.jpg");
        setIconImage(icon);
        getContentPane().setBackground(Color.white);
        setResizable(false);

        try {
            //Inicializa o servidor
            microterminal = Estrutura_Dados.INSTANCE;
            conexao = microterminal.mt_startserver(vnome, conecmsg, commumsg);

        } catch (Exception e) {
            microterminal = Estrutura_Dados.INSTANCE;
            microterminal.mt_finishserver();
            acao.stop();
            conect.stop();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
        if (conexao > 0) {


            setEvento("                           *** APLICATIVO MTI-7000 ***");
            //Método que escreve na janela de log a data e a hora do sistema
            setEvento(getDateTime());

            //Inicia a thread Trata_Conexao
            Trata_Conexao conectados_thread = new Trata_Conexao();
            new Thread(conectados_thread).start();

            //Inicia a thread Trata_Acao
            Trata_Acao acoes = new Trata_Acao();
            new Thread(acoes).start();

            //Inicia a thread Trata_Tela_IP
            Trata_Tela_IP tecla = new Trata_Tela_IP();
            new Thread(tecla).start();

            //Chama o método set_aux para abrir a tela da lista de IP conectados
            menu.set_aux(1);

        } else {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "Não foi possível inicializar o servidor!\nVerifique a conexão "
                    + "do terminal!");
            System.exit(1);
        }




    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        terminal_mti = new javax.swing.JTabbedPane();
        panel_log = new javax.swing.JPanel();
        log_panel_interno = new javax.swing.JPanel();
        limpar_display = new javax.swing.JButton();
        atualizar_terminal = new javax.swing.JButton();
        lista = new javax.swing.JScrollPane();
        log1 = new javax.swing.JTextArea();
        panel_impressao = new javax.swing.JPanel();
        impressao_panel_interno = new javax.swing.JPanel();
        senha2 = new javax.swing.JTextField();
        impressao_grande = new javax.swing.JLabel();
        imprimi2 = new javax.swing.JButton();
        senha = new javax.swing.JTextField();
        imprimi1 = new javax.swing.JButton();
        impressao_pequena = new javax.swing.JLabel();
        panel_display = new javax.swing.JPanel();
        display_panel_impresso = new javax.swing.JPanel();
        apagar = new javax.swing.JButton();
        texto_display = new javax.swing.JTextField();
        habilita_teclado = new javax.swing.JButton();
        desabilita_teclado = new javax.swing.JButton();
        posiciona = new javax.swing.JButton();
        coluna = new javax.swing.JTextField();
        display2 = new javax.swing.JLabel();
        col = new javax.swing.JLabel();
        cursor = new javax.swing.JLabel();
        posicionar = new javax.swing.JLabel();
        lin = new javax.swing.JLabel();
        linha = new javax.swing.JTextField();
        enviar = new javax.swing.JButton();
        painel = new javax.swing.JLabel();
        listar_ip = new javax.swing.JButton();
        testar = new javax.swing.JButton();

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("APLICATIVO MTI-7000");

        terminal_mti.setAutoscrolls(true);
        terminal_mti.setInheritsPopupMenu(true);

        log_panel_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Log"));
        log_panel_interno.setPreferredSize(new java.awt.Dimension(400, 351));

        limpar_display.setText("LIMPAR");
        limpar_display.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                limpar_displayActionPerformed(evt);
            }
        });

        atualizar_terminal.setText("ATUALIZAR TERMINAL");
        atualizar_terminal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                atualizar_terminalActionPerformed(evt);
            }
        });

        log1.setColumns(20);
        log1.setEditable(false);
        log1.setRows(5);
        lista.setViewportView(log1);

        javax.swing.GroupLayout log_panel_internoLayout = new javax.swing.GroupLayout(log_panel_interno);
        log_panel_interno.setLayout(log_panel_internoLayout);
        log_panel_internoLayout.setHorizontalGroup(
            log_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(log_panel_internoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(log_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lista, javax.swing.GroupLayout.DEFAULT_SIZE, 332, Short.MAX_VALUE)
                    .addGroup(log_panel_internoLayout.createSequentialGroup()
                        .addComponent(limpar_display, javax.swing.GroupLayout.PREFERRED_SIZE, 85, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(atualizar_terminal)))
                .addContainerGap())
        );
        log_panel_internoLayout.setVerticalGroup(
            log_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(log_panel_internoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(log_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(limpar_display)
                    .addComponent(atualizar_terminal))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lista, javax.swing.GroupLayout.DEFAULT_SIZE, 208, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout panel_logLayout = new javax.swing.GroupLayout(panel_log);
        panel_log.setLayout(panel_logLayout);
        panel_logLayout.setHorizontalGroup(
            panel_logLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_logLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(log_panel_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 364, Short.MAX_VALUE)
                .addContainerGap())
        );
        panel_logLayout.setVerticalGroup(
            panel_logLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_logLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(log_panel_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 281, Short.MAX_VALUE)
                .addContainerGap())
        );

        terminal_mti.addTab("LOG", panel_log);

        impressao_panel_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Impressão"));

        impressao_grande.setText("Impressão grande");

        imprimi2.setText("IMPRIMI");
        imprimi2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                imprimi2ActionPerformed(evt);
            }
        });

        imprimi1.setText("IMPRIMI");
        imprimi1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                imprimi1ActionPerformed(evt);
            }
        });

        impressao_pequena.setText("  Impressão pequena");

        javax.swing.GroupLayout impressao_panel_internoLayout = new javax.swing.GroupLayout(impressao_panel_interno);
        impressao_panel_interno.setLayout(impressao_panel_internoLayout);
        impressao_panel_internoLayout.setHorizontalGroup(
            impressao_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(124, 124, 124)
                .addComponent(impressao_pequena, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(134, 134, 134)
                .addComponent(imprimi1, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(84, 84, 84)
                .addComponent(senha, javax.swing.GroupLayout.PREFERRED_SIZE, 200, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(134, 134, 134)
                .addComponent(impressao_grande, javax.swing.GroupLayout.PREFERRED_SIZE, 116, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(134, 134, 134)
                .addComponent(imprimi2, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(84, 84, 84)
                .addComponent(senha2, javax.swing.GroupLayout.PREFERRED_SIZE, 200, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        impressao_panel_internoLayout.setVerticalGroup(
            impressao_panel_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(impressao_panel_internoLayout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addComponent(impressao_pequena)
                .addGap(16, 16, 16)
                .addComponent(imprimi1)
                .addGap(17, 17, 17)
                .addComponent(senha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(30, 30, 30)
                .addComponent(impressao_grande)
                .addGap(16, 16, 16)
                .addComponent(imprimi2)
                .addGap(17, 17, 17)
                .addComponent(senha2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        javax.swing.GroupLayout panel_impressaoLayout = new javax.swing.GroupLayout(panel_impressao);
        panel_impressao.setLayout(panel_impressaoLayout);
        panel_impressaoLayout.setHorizontalGroup(
            panel_impressaoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_impressaoLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(impressao_panel_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 364, Short.MAX_VALUE)
                .addContainerGap())
        );
        panel_impressaoLayout.setVerticalGroup(
            panel_impressaoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_impressaoLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(impressao_panel_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 281, Short.MAX_VALUE)
                .addContainerGap())
        );

        terminal_mti.addTab("IMPRESSÃO", panel_impressao);

        display_panel_impresso.setBorder(javax.swing.BorderFactory.createTitledBorder("Display"));

        apagar.setText("LIMPA");
        apagar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                apagarActionPerformed(evt);
            }
        });

        habilita_teclado.setText("TECLADO ON");
        habilita_teclado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                habilita_tecladoActionPerformed(evt);
            }
        });

        desabilita_teclado.setText("TECLADO OFF");
        desabilita_teclado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                desabilita_tecladoActionPerformed(evt);
            }
        });

        posiciona.setText("POSICIONA");
        posiciona.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                posicionaActionPerformed(evt);
            }
        });

        display2.setText("Display");

        col.setText("Col");

        cursor.setText("Cursor");

        posicionar.setText("Posicionar:");

        lin.setText("Lin");

        enviar.setText("ENVIA");
        enviar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout display_panel_impressoLayout = new javax.swing.GroupLayout(display_panel_impresso);
        display_panel_impresso.setLayout(display_panel_impressoLayout);
        display_panel_impressoLayout.setHorizontalGroup(
            display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(display_panel_impressoLayout.createSequentialGroup()
                .addGap(47, 47, 47)
                .addGroup(display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addComponent(enviar, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(apagar))
                    .addComponent(cursor)
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addComponent(posicionar)
                        .addGap(6, 6, 6)
                        .addComponent(lin)
                        .addGap(4, 4, 4)
                        .addComponent(linha, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(4, 4, 4)
                        .addComponent(col)
                        .addGap(4, 4, 4)
                        .addComponent(coluna, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(10, 10, 10)
                        .addComponent(posiciona))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addComponent(desabilita_teclado, javax.swing.GroupLayout.PREFERRED_SIZE, 116, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(habilita_teclado, javax.swing.GroupLayout.PREFERRED_SIZE, 112, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addComponent(display2)
                        .addGap(10, 10, 10)
                        .addComponent(texto_display, javax.swing.GroupLayout.PREFERRED_SIZE, 202, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(41, Short.MAX_VALUE))
        );
        display_panel_impressoLayout.setVerticalGroup(
            display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(display_panel_impressoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(desabilita_teclado)
                    .addComponent(habilita_teclado))
                .addGap(18, 18, 18)
                .addGroup(display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(3, 3, 3)
                        .addComponent(display2))
                    .addComponent(texto_display, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(31, 31, 31)
                .addGroup(display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(enviar)
                    .addComponent(apagar))
                .addGap(18, 18, 18)
                .addComponent(cursor)
                .addGap(18, 18, 18)
                .addGroup(display_panel_impressoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(posicionar))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(lin))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(linha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(4, 4, 4)
                        .addComponent(col))
                    .addGroup(display_panel_impressoLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(coluna, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(posiciona))
                .addContainerGap(60, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout panel_displayLayout = new javax.swing.GroupLayout(panel_display);
        panel_display.setLayout(panel_displayLayout);
        panel_displayLayout.setHorizontalGroup(
            panel_displayLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_displayLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(display_panel_impresso, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        panel_displayLayout.setVerticalGroup(
            panel_displayLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel_displayLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(display_panel_impresso, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        terminal_mti.addTab("DISPLAY", panel_display);

        painel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagem/Gertec_Logo.jpg"))); // NOI18N

        listar_ip.setText("LISTA IP");
        listar_ip.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listar_ipActionPerformed(evt);
            }
        });

        testar.setText("TESTAR DLL");
        testar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                testarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(terminal_mti, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 389, Short.MAX_VALUE)
                            .addComponent(painel, javax.swing.GroupLayout.PREFERRED_SIZE, 353, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(95, 95, 95)
                        .addComponent(listar_ip, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(testar)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(painel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(listar_ip)
                    .addComponent(testar))
                .addGap(18, 18, 18)
                .addComponent(terminal_mti, javax.swing.GroupLayout.DEFAULT_SIZE, 328, Short.MAX_VALUE)
                .addContainerGap())
        );

        terminal_mti.getAccessibleContext().setAccessibleName("");

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void imprimi1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_imprimi1ActionPerformed

        try {
            String palavra = senha.getText();

            if (palavra.isEmpty() == true) {
                JOptionPane.showMessageDialog(this, "Campo inválido! Insira uma palavra para a impressão!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }


            if (palavra.isEmpty() == false) {


                microterminal = Estrutura_Dados.INSTANCE;
                terminal = endereco_ip.getIndex();

                if (terminal == 1) {
                    byte ded3 = (byte) 256;

                    microterminal.mt_sendbinserial(terminal, (byte) 2, palavra, ded3);

                    Thread.sleep(100);

                    enderecos = Trata_Conexao.getEnderecos();
                    log1.append("\nIDvSendBinSerial - " + palavra + " - " + enderecos[0]);



                } else {
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }

            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_imprimi1ActionPerformed

    private void imprimi2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_imprimi2ActionPerformed
        try {
            String palavra1 = senha2.getText();

            if (palavra1.isEmpty() == true) {
                JOptionPane.showMessageDialog(this, "Campo inválido! Insira uma palavra para a impressão!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            if (palavra1.isEmpty() == false) {
                microterminal = Estrutura_Dados.INSTANCE;
                terminal = endereco_ip.getIndex();

                if (terminal == 1) {
                    byte ded3 = (byte) 256;


                    microterminal.mt_sendbinserial(terminal, (byte) 3, palavra1, ded3);

                    Thread.sleep(100);

                    enderecos = Trata_Conexao.getEnderecos();
                    log1.append("\nIDvSendBinSerial - " + palavra1 + " - " + enderecos[0]);


                } else {
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));

                }

            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_imprimi2ActionPerformed

    private void limpar_displayActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_limpar_displayActionPerformed
        setLimpa(log1);
        setEvento("                           *** APLICATIVO MTI-7000 ***");
        setEvento(getDateTime());
    }//GEN-LAST:event_limpar_displayActionPerformed

    private void atualizar_terminalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_atualizar_terminalActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                microterminal.mt_restart(terminal);


                enderecos = Trata_Conexao.getEnderecos();
                log1.append("\nIDvRestart - " + enderecos[0]);



                Thread.sleep(1000);

                microterminal.mt_gotoxy(terminal, 1, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 2, 0);
                microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");

                microterminal.mt_gotoxy(terminal, 3, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 8, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 4, 0);

                microterminal.mt_setenablekey(terminal, true);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }



        } catch (InterruptedException | HeadlessException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_atualizar_terminalActionPerformed

    private void listar_ipActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listar_ipActionPerformed
        //Método que abre a tela de lista de IP Conectados
        menu.inicia();
    }//GEN-LAST:event_listar_ipActionPerformed

    private void desabilita_tecladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_desabilita_tecladoActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_formfeed(terminal);
                microterminal.mt_gotoxy(terminal, 1, 0);
                microterminal.mt_dispstr(terminal, "****************");
                microterminal.mt_gotoxy(terminal, 2, 0);
                microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");
                microterminal.mt_gotoxy(terminal, 3, 0);
                microterminal.mt_dispstr(terminal, "****************");
                microterminal.mt_gotoxy(terminal, 8, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 4, 0);
                microterminal.mt_setenablekey(terminal, false);


                enderecos = Trata_Conexao.getEnderecos();
                log1.append("\nIDvSetEnableKey - " + enderecos[0]);



            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(500);

        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_desabilita_tecladoActionPerformed

    private void enviarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviarActionPerformed
        try {
            String palavra = texto_display.getText();

            if (palavra.isEmpty() == true) {
                JOptionPane.showMessageDialog(this, "Campo Inválido! Insira uma palavra para enviar no display!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            if (palavra.isEmpty() == false) {

                microterminal = Estrutura_Dados.INSTANCE;

                terminal = endereco_ip.getIndex();

                if (terminal == 1) {

                    microterminal.mt_dispstr(terminal, palavra);

                    enderecos = Trata_Conexao.getEnderecos();

                    log1.append("\nIDvDispStr - " + palavra + " - " + enderecos[0]);



                } else {
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }


            }

            Thread.sleep(500);
        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviarActionPerformed

    private void apagarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_apagarActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_formfeed(terminal);


                enderecos = Trata_Conexao.getEnderecos();
                log1.append("\nIDvFormFeed - " + enderecos[0]);



            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(500);

        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_apagarActionPerformed

    private void posicionaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_posicionaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();


            if (terminal == 1) {


                String palavra1 = linha.getText();
                String palavra2 = coluna.getText();

                String linha2 = "^[0-8]*$";
                String coluna2 = "^[0-9]*$";


                Pattern pattern1 = Pattern.compile(linha2);
                Matcher matcher1 = pattern1.matcher(palavra1);

                Pattern pattern2 = Pattern.compile(coluna2);
                Matcher matcher2 = pattern2.matcher(palavra2);

                if ((palavra1.isEmpty()) || (palavra2.isEmpty())) {

                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                            + "e um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                            + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                } else {
                    //matcher1 e matcher2 compara se foi digitado números de 0 a 8 e números de 0 a 9 
                    if (matcher1.matches()) {

                        if (matcher2.matches()) {

                            int num1 = Integer.parseInt(palavra1);
                            int num2 = Integer.parseInt(palavra2);

                            if ((num1 >= 0) && (num1 < 9)) {

                                if ((num2 >= 0) && (num2 < 17)) {

                                    microterminal.mt_gotoxy(terminal, num1, num2);
                                    enderecos = Trata_Conexao.getEnderecos();
                                    log1.append("\nIDvGoToXY - Linha:" + num1 + " / Coluna:" + num2 + " - "
                                            + enderecos[0]);
                                } else {
                                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de "
                                            + "linha de 0 a 8 e/ou um número de coluna de 0 a 16!", "MTI-7000", 1,
                                            new ImageIcon("src/Imagem/Gertec.jpg"));
                                }

                            } else {
                                JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de "
                                        + "linha de 0 a 8 e/ou um número de coluna de 0 a 16!", "MTI-7000", 1,
                                        new ImageIcon("src/Imagem/Gertec.jpg"));
                            }

                        } else {

                            //Compara se foi digitado número de coluna de 10 a 16
                            if ((palavra2.equalsIgnoreCase("10")) || (palavra2.equalsIgnoreCase("11"))
                                    || (palavra2.equalsIgnoreCase("12")) || (palavra2.equalsIgnoreCase("13"))
                                    || (palavra2.equalsIgnoreCase("14")) || (palavra2.equalsIgnoreCase("15"))
                                    || ((palavra2.equalsIgnoreCase("16")))) {

                                int num1 = Integer.parseInt(palavra1);
                                int num2 = Integer.parseInt(palavra2);

                                microterminal.mt_gotoxy(terminal, num1, num2);
                                enderecos = Trata_Conexao.getEnderecos();
                                log1.append("\nIDvGoToXY - Linha:" + num1 + " / Coluna:" + num2 + " - "
                                        + enderecos[0]);
                            } else {

                                JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de coluna de "
                                        + "0 a 16!", "MTI-7000", 1,
                                        new ImageIcon("src/Imagem/Gertec.jpg"));
                            }
                        }
                    } else {


                        JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8!",
                                "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    }
                }
            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }
            Thread.sleep(500);

        } catch (HeadlessException | NumberFormatException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_posicionaActionPerformed

    private void habilita_tecladoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_habilita_tecladoActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_setenablekey(terminal, true);



                enderecos = Trata_Conexao.getEnderecos();
                log1.append("\nIDvSetEnableKey - " + enderecos[0]);


                cod.codigo_produto();
            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(500);

        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_habilita_tecladoActionPerformed

    private void testarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_testarActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (controle_tela == 1 && terminal == 1) {
                if (dll.get_aux() == 0) {
                    setExtendedState(ICONIFIED);

                    if (terminal == 1) {
                        //Abre a tela de Teste da DLL
                        dll.setVisible(true);

                        microterminal.mt_formfeed(terminal);

                        microterminal.mt_gotoxy(terminal, 1, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 2, 0);
                        microterminal.mt_dispstr(terminal, "  TESTE DA DLL");

                        microterminal.mt_gotoxy(terminal, 3, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 8, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 4, 0);
                    } else {
                        dll.setVisible(true);
                    }
                    dll.set_aumenta_menu(1);

                } else {
                    JOptionPane.showMessageDialog(null, "Há uma janela do Teste da DLL aberta!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }
            } else {
                JOptionPane.showMessageDialog(null, "Impossível abrir a tela de Teste da DLL! Aguarde até o terminal "
                        + "MTI-7000\nse conectar para testar a DLL ou selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(500);

        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_testarActionPerformed

    public static void main(String args[]) {

        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {

                new Microterminal().setVisible(true);


            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton apagar;
    private javax.swing.JButton atualizar_terminal;
    private javax.swing.JLabel col;
    private javax.swing.JTextField coluna;
    private javax.swing.JLabel cursor;
    private javax.swing.JButton desabilita_teclado;
    private javax.swing.JLabel display2;
    private javax.swing.JPanel display_panel_impresso;
    private javax.swing.JButton enviar;
    private javax.swing.JButton habilita_teclado;
    private javax.swing.JLabel impressao_grande;
    private javax.swing.JPanel impressao_panel_interno;
    private javax.swing.JLabel impressao_pequena;
    private javax.swing.JButton imprimi1;
    private javax.swing.JButton imprimi2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JButton limpar_display;
    private javax.swing.JLabel lin;
    private javax.swing.JTextField linha;
    private javax.swing.JScrollPane lista;
    private javax.swing.JButton listar_ip;
    public static javax.swing.JTextArea log1;
    private javax.swing.JPanel log_panel_interno;
    private javax.swing.JLabel painel;
    private javax.swing.JPanel panel_display;
    private javax.swing.JPanel panel_impressao;
    private javax.swing.JPanel panel_log;
    private javax.swing.JButton posiciona;
    private javax.swing.JLabel posicionar;
    private javax.swing.JTextField senha;
    private javax.swing.JTextField senha2;
    private javax.swing.JTabbedPane terminal_mti;
    private javax.swing.JButton testar;
    private javax.swing.JTextField texto_display;
    // End of variables declaration//GEN-END:variables

    //Método que escreve no log
    public static void setEvento(String _evento) {
        log1.append(_evento + "\n");

    }

    //Método que limpa o logo
    private void setLimpa(JTextArea log1) {
        log1.setText("");
    }

    //Método que mostra a hora e data do sistema
    public String getDateTime() {
        DateFormat dateFormat = new SimpleDateFormat("\t    dd/MM/yyyy HH:mm:ss");
        Date data = new Date();
        return dateFormat.format(data);
    }

    //Método que controla se a tela de teste da DLL foi aberta mais de 1 vez
    public static void set_controle_tela(int parametro) {
        Microterminal.controle_tela = parametro;
    }
}
