package Classe;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class Tela_Microterminal extends JPanel {

    //Classe que implementa as imagens de fundo do JPanel: IP_CONECTADOS, MICROTERMINAL E TESTAR_DLL
    private String pathImage = "";

    public Tela_Microterminal() {
    }

    public Tela_Microterminal(String pathImage) {

        this.pathImage = pathImage;
    }

    @Override
    public void paintComponent(Graphics g) {

        Graphics2D gr = (Graphics2D) g.create();

        try {

            BufferedImage buffer = ImageIO.read(new File(pathImage));

            gr.drawImage(buffer, null, 0, 0);

        } catch (IOException ex) {
            Logger.getLogger(Tela_Microterminal.class.getName()).log(Level.SEVERE, null, ex);

        }

    }
}
