package Telas;

import Classe.Tela_Microterminal;
import Thread.Trata_Conexao;
import java.awt.Color;
import java.awt.Image;
import java.awt.Toolkit;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.table.DefaultTableModel;

public class IP_Conectados extends javax.swing.JFrame {

    String[] enderecos;
    static int indexSelecionado;

    public IP_Conectados() {
        initComponents();

        //Define a imagem de Fundo do JPanel
        Tela_Microterminal background = new Tela_Microterminal("src/Imagem/Gertec_Fundo_Pequeno.jpg");
        background.setSize(800, 800);
        getContentPane().add(background);

        //Método que impossibilita que o JLabel seja fecado
        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);

        //Centralizar o JLabel na inicialização
        setLocationByPlatform(true);

        //Definir ícone, cor de fundo e desabilitar a maximização
        Image icon = Toolkit.getDefaultToolkit().getImage("src/Imagem/Gertec.jpg");
        setIconImage(icon);
        getContentPane().setBackground(Color.white);
        setResizable(false);

        //Na inicialização limpar a lista de tabela de IP's
        limpaText();


        //Método que seleciona e adiciona os IP's
        tabela_ip.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        tabela_ip.getSelectionModel().addListSelectionListener(new ListSelectionListener() {
            @Override
            public void valueChanged(ListSelectionEvent arg0) {


                setIndex(tabela_ip.getSelectedRow());
            }
        });

        try {
            Thread.sleep(500);
        } catch (InterruptedException ex) {
            Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    //Método que adiciona as posições na lista de IP's
    private void setIndex(int index) {
        indexSelecionado = index + 1;
    }

    //Método que retorna o valor do index selecionado
    public int getIndex() {
        return indexSelecionado;
    }

    //Método que limpa a tabela de IP's
    public void limpaText() {
        tabela_ip.clearSelection();
        enderecos = Trata_Conexao.getEnderecos();
        setEndereco(enderecos);
    }

    //Método que adiciona os IP's na lista
    public void setEndereco(String[] _enderecos) {
        DefaultTableModel ipsConectados = (DefaultTableModel) this.tabela_ip.getModel();
        ipsConectados.setNumRows(0);
        for (int x = 0; x < _enderecos.length; x++) {
            if (_enderecos[x] != null) {

                ipsConectados.addRow(new Object[]{_enderecos[x]});
            }
        }
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        conectados = new javax.swing.JScrollPane();
        tabela_ip = new javax.swing.JTable();
        painel_gertec = new javax.swing.JLabel();
        atualizar_ip = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("LISTA DE IP'S");

        tabela_ip.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        tabela_ip.setFont(new java.awt.Font("Tahoma", 1, 11));
        tabela_ip.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null},
                {null}
            },
            new String [] {
                "IP conectados"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class
            };
            boolean[] canEdit = new boolean [] {
                false
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        tabela_ip.setPreferredSize(new java.awt.Dimension(320, 235));
        tabela_ip.setRequestFocusEnabled(false);
        tabela_ip.getTableHeader().setReorderingAllowed(false);
        conectados.setViewportView(tabela_ip);

        painel_gertec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagem/Gertec_Logo.jpg"))); // NOI18N

        atualizar_ip.setText("ATUALIZAR LISTA DE IP");
        atualizar_ip.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                atualizar_ipActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(conectados, javax.swing.GroupLayout.DEFAULT_SIZE, 383, Short.MAX_VALUE)
                .addContainerGap())
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(37, Short.MAX_VALUE)
                .addComponent(painel_gertec, javax.swing.GroupLayout.PREFERRED_SIZE, 341, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(25, 25, 25))
            .addGroup(layout.createSequentialGroup()
                .addGap(123, 123, 123)
                .addComponent(atualizar_ip)
                .addContainerGap(129, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(painel_gertec)
                .addGap(18, 18, 18)
                .addComponent(atualizar_ip)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 24, Short.MAX_VALUE)
                .addComponent(conectados, javax.swing.GroupLayout.PREFERRED_SIZE, 257, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void atualizar_ipActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_atualizar_ipActionPerformed
        limpaText();
    }//GEN-LAST:event_atualizar_ipActionPerformed

    public static void main(String args[]) {
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(IP_Conectados.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(IP_Conectados.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(IP_Conectados.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(IP_Conectados.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {

                new IP_Conectados().setVisible(true);


            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton atualizar_ip;
    private javax.swing.JScrollPane conectados;
    private javax.swing.JLabel painel_gertec;
    private javax.swing.JTable tabela_ip;
    // End of variables declaration//GEN-END:variables
}
