package Thread;

import Classe.Trata_Tecla;
import DLL.Estrutura_Dados;
import DLL.Estrutura_Dados.Dns;
import DLL.Estrutura_Dados.Ethernet;
import DLL.Estrutura_Dados.Receber_Serial;
import Telas.IP_Conectados;
import Telas.Microterminal;
import Telas.Testar_DLL;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class Trata_Acao implements Runnable {

    static Estrutura_Dados microterminal = null;
    static boolean habilitar = true;
    static String parametro;
    static String palavra;
    static int eco = 0;
    int aux = 0, terminal;
    byte[] buftecla1 = new byte[256];
    byte[] buftecla2 = new byte[256];
    byte[] buftecla3 = new byte[256];
    byte[] dados = new byte[256];
    int[] vetor = new int[1];
    public String codigo1;
    public String quantidade1;
    public String preco1;
    public String controleImpressao;
    public static int controle = 0;
    String[] enderecos;
    IP_Conectados endereco_ip = new IP_Conectados();
    Trata_Tecla cod = new Trata_Tecla();

    @Override
    //THREAD
    public void run() {

        while (habilitar) {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            //Recebe as teclas que foram confirmadas pelo usuário quando o teclado for habilitado
            if ((microterminal.mt_geteditstring(terminal, buftecla1)) > 0) {

                String valor_recebido = new String(buftecla1);

                this.controleImpressao = valor_recebido.trim();

                if (controleImpressao.isEmpty() == false) {

                    Microterminal.log1.append("\nIDbReadEditString - " + Trata_Conexao.vetorEnderecos[0]
                            + " - " + controleImpressao);

                    //Habilita um sistema de teste onde pede algumas informações para o usuário digitar, e assim imprimir no 
                    //final da rotina os dados recebidos do teclado
                    if (controle == 0) {
                        cod.quantidade_produto();
                        this.codigo1 = valor_recebido;
                        controle++;

                    } else if (controle == 1) {
                        cod.preco_produto();
                        this.quantidade1 = valor_recebido;
                        controle++;
                    } else if (controle == 2) {
                        cod.imprimir_tela();
                        this.preco1 = valor_recebido;
                        controle++;
                    } else if (controle == 3) {
                        this.controleImpressao = valor_recebido.substring(0, 1);
                        if ((controleImpressao.compareTo("2") == 0) || (controleImpressao.compareTo("1") == 0)) {
                            try {
                                cod.imprimir_papel(codigo1, quantidade1, preco1, controleImpressao);
                            } catch (InterruptedException ex) {
                                Logger.getLogger(Trata_Acao.class.getName()).log(Level.SEVERE, null, ex);

                            }
                        }

                        //Código de confirmação na tela: se deseja desligar o teclado ou não após a impressão dos dados digitados.
                        String ConfirmaSaida = "Deseja desligar o teclado?";
                        String Titulo = "MTI-7000";
                        int i = JOptionPane.showConfirmDialog(null, ConfirmaSaida, Titulo, JOptionPane.OK_OPTION,
                                JOptionPane.CLOSED_OPTION, new ImageIcon("src/Imagem/Gertec.jpg"));
                        if (i == JOptionPane.YES_OPTION) {

                            controle = 0;

                            microterminal = Estrutura_Dados.INSTANCE;

                            terminal = endereco_ip.getIndex();

                            microterminal.mt_formfeed(terminal);

                            microterminal.mt_gotoxy(terminal, 1, 0);
                            microterminal.mt_dispstr(terminal, "****************");

                            microterminal.mt_gotoxy(terminal, 2, 0);
                            microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");

                            microterminal.mt_gotoxy(terminal, 3, 0);
                            microterminal.mt_dispstr(terminal, "****************");

                            microterminal.mt_gotoxy(terminal, 8, 0);
                            microterminal.mt_dispstr(terminal, "****************");

                            microterminal.mt_gotoxy(terminal, 4, 0);

                            microterminal.mt_setenablekey(terminal, true);

                            Microterminal.log1.append("\nIDvSetEnableKey - " + Trata_Conexao.vetorEnderecos[0]);

                        } //Caso o usuário não deseja desligar o teclado o sistema de teste será inicializado
                        else {
                            controle = 0;
                            cod.codigo_produto();
                        }
                    }

                }

                //Caso o usuário digite um campo vazio no sistema de teste voltará na tela atual
                if (controleImpressao.isEmpty() == true) {
                    JOptionPane.showMessageDialog(null, "Campo vazio! Insira um número!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));

                    if (controle == 0) {
                        cod.codigo_produto();
                    } else if (controle == 1) {
                        cod.quantidade_produto();
                    } else if (controle == 2) {
                        cod.preco_produto();
                    } else if (controle == 3) {
                        cod.imprimir_tela();
                    }
                }

            }

            //Recebe os dados do cartão magnético
            if (microterminal.mt_getcardbuf(terminal, dados) > 0) {
                parametro = new String(dados);
                parametro = parametro.substring(0, 128);
                Testar_DLL.area_log1.append("\nIDbReadBuffCard - " + Trata_Conexao.vetorEnderecos[0]
                        + " - " + parametro);
                Testar_DLL.recebe_cartao.setText("");
                Testar_DLL.recebe_cartao.setText(parametro);
            }


            //Recebe as teclas digitadas do microterminal

            //OBS: Se a variável eco !=0 as teclas digitadas também serão enviadas para o display do microterminal
            if ((microterminal.mt_getkey(terminal, buftecla2)) > 0) {

                if (buftecla2[0] == 49) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 1");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 1");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 1");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 1");
                        microterminal.mt_dispstr(terminal, "1");
                    }
                } else if (buftecla2[0] == 50) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 2");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 2");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 2");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 2");
                        microterminal.mt_dispstr(terminal, "2");
                    }
                } else if (buftecla2[0] == 51) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 3");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 3");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 3");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 3");
                        microterminal.mt_dispstr(terminal, "3");
                    }
                } else if (buftecla2[0] == 52) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 4");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 4");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 4");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 4");
                        microterminal.mt_dispstr(terminal, "4");
                    }
                } else if (buftecla2[0] == 53) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 5");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 5");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 5");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 5");
                        microterminal.mt_dispstr(terminal, "5");
                    }
                } else if (buftecla2[0] == 54) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 6");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 6");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 6");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 6");
                        microterminal.mt_dispstr(terminal, "6");
                    }
                } else if (buftecla2[0] == 55) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 7");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 7");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 7");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 7");
                        microterminal.mt_dispstr(terminal, "7");
                    }
                } else if (buftecla2[0] == 56) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 8");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 8");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 8");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 8");
                        microterminal.mt_dispstr(terminal, "8");
                    }
                } else if (buftecla2[0] == 57) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 9");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 9");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 9");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 9");
                        microterminal.mt_dispstr(terminal, "9");
                    }
                } else if (buftecla2[0] == 48) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 0/↑");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 0/↑");
                        aux++;
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 0/↑");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - 0/↑");
                        microterminal.mt_dispstr(terminal, "0/↑");
                        aux++;
                    }

                } else if (buftecla2[0] == 46) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - .");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - .");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - .");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - .");
                        microterminal.mt_dispstr(terminal, ".");
                    }
                } else if (buftecla2[0] == 27) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - X");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - X");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - X");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - X");
                        microterminal.mt_dispstr(terminal, "X");
                    }
                } else if (buftecla2[0] == 8) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ←");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ←");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ←");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ←");
                        microterminal.mt_dispstr(terminal, "←");
                    }
                } else if (buftecla2[0] == 13) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - OK");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - OK");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - OK");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - OK");
                        microterminal.mt_dispstr(terminal, "OK");
                    }
                } else if (buftecla2[0] == 43) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - +");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - +");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - +");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - +");
                        microterminal.mt_dispstr(terminal, "+");
                    }
                } else if (buftecla2[0] == 45) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - -");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - -");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - -");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - -");
                        microterminal.mt_dispstr(terminal, "-");
                    }
                } else if (buftecla2[0] == 42) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - *");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - *");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - *");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - *");
                        microterminal.mt_dispstr(terminal, "*");
                    }
                } else if (buftecla2[0] == 47) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - /");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - /");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - /");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - /");
                        microterminal.mt_dispstr(terminal, "/");
                    }
                } else if (buftecla2[0] == 85) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↑");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↑");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↑");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↑");
                        microterminal.mt_dispstr(terminal, "↑");
                    }
                } else if (buftecla2[0] == 68) {
                    if (eco == 0) {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↓");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↓");
                    } else {
                        Microterminal.log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↓");
                        Testar_DLL.area_log1.append("\nIDvGetCharTerm - " + Trata_Conexao.vetorEnderecos[0] + " - ↓");
                        microterminal.mt_dispstr(terminal, "↓");
                    }
                }
            }

            //Recebe as configurações do ip cliente, ip servidor, máscara de rede e o ip dinâmico
            Ethernet ethernet_dado = new Ethernet();

            if (microterminal.mt_getconfig(terminal, ethernet_dado) > 0) {

                Testar_DLL.texto_cliente.setText("");
                Testar_DLL.texto_servidor.setText("");
                Testar_DLL.texto_mascara.setText("");
                Testar_DLL.texto_cliente.setText(microterminal.mt_inet_ntoa_inv(ethernet_dado.cliente));
                Testar_DLL.texto_servidor.setText(microterminal.mt_inet_ntoa_inv(ethernet_dado.servidor));
                Testar_DLL.texto_mascara.setText(microterminal.mt_inet_ntoa_inv(ethernet_dado.mascara));

                if (ethernet_dado.dinamico == 1) {
                    Testar_DLL.ip_dinamico.setSelected(true);
                } else {
                    Testar_DLL.ip_dinamico.setSelected(false);
                }

            }

            //Recebe as configurações do gateway, dns e o nome do terminal
            Dns dns_dado = new Dns();

            if (microterminal.mt_getexconfig(terminal, dns_dado) > 0) {

                Testar_DLL.texto_gateway.setText("");
                Testar_DLL.texto_dns.setText("");
                Testar_DLL.texto_terminal.setText("");
                Testar_DLL.texto_gateway.setText(microterminal.mt_inet_ntoa_inv(dns_dado.gateway));
                Testar_DLL.texto_dns.setText(microterminal.mt_inet_ntoa_inv(dns_dado.dns));

                String nome_terminal = "";

                for (int i = 0; i < 16; i++) {
                    nome_terminal = nome_terminal + (char) dns_dado.terminal[i];
                }
                Testar_DLL.texto_terminal.setText(nome_terminal);
            }


            //Recebe as configurações da serial
            Receber_Serial serial = new Receber_Serial();

            if (microterminal.mt_getconfigserial(terminal, serial) > 0) {


                String parametro_baud = String.valueOf(serial.baud_rate);
                short parametro_bits = serial.bits;
                short parametro_parity = serial.parity;


                int tamanho_baud = parametro_baud.length();

                if (tamanho_baud == 5) {

                    Testar_DLL.baud.setSelectedIndex(1);


                }

                if (tamanho_baud == 6) {
                    String novo_parametro_baud = parametro_baud.substring(0, 4);

                    if ("3072".equals(novo_parametro_baud)) {
                        Testar_DLL.baud.setSelectedIndex(2);
                    }

                    if ("6144".equals(novo_parametro_baud)) {
                        Testar_DLL.baud.setSelectedIndex(3);
                    }

                }

                if (tamanho_baud == 7) {
                    String novo_parametro_baud = parametro_baud.substring(0, 5);

                    if ("12288".equals(novo_parametro_baud)) {
                        Testar_DLL.baud.setSelectedIndex(4);
                    }

                    if ("24576".equals(novo_parametro_baud)) {
                        Testar_DLL.baud.setSelectedIndex(5);
                    }

                    if ("49152".equals(novo_parametro_baud)) {
                        Testar_DLL.baud.setSelectedIndex(6);
                    }

                }



                if (parametro_bits == 1792) {
                    Testar_DLL.bits.setSelectedIndex(3);
                }

                if (parametro_bits == 2048) {
                    Testar_DLL.bits.setSelectedIndex(4);
                }




                if (parametro_parity == 0) {
                    Testar_DLL.parity.setSelectedIndex(1);
                }

                if (parametro_parity == 256) {
                    Testar_DLL.parity.setSelectedIndex(2);
                }

                if (parametro_parity == 512) {
                    Testar_DLL.parity.setSelectedIndex(3);
                }

            }


            //Recebe o valor do peso da balança na serial
            if (microterminal.mt_getserial(terminal, vetor, buftecla3) > 0) {

                palavra = new String(buftecla3);
                palavra = palavra.trim();

                int tamanho_vetor = palavra.length();

                if (tamanho_vetor == 4) {
                    String palavra_dado1 = palavra.substring(0, 1);
                    String palavra_dado2 = palavra.substring(1, 4);
                    String nova_palavra = palavra_dado1.concat(",").concat(palavra_dado2);
                    enderecos = Trata_Conexao.getEnderecos();
                    Testar_DLL.area_log1.append("\nIDbGetBinSerial - " + nova_palavra + " Kg - " + enderecos[0]);
                }

                if (tamanho_vetor == 5) {
                    String palavra_dado1 = palavra.substring(0, 2);
                    String palavra_dado2 = palavra.substring(1, 4);
                    String nova_palavra = palavra_dado1.concat(",").concat(palavra_dado2);
                    enderecos = Trata_Conexao.getEnderecos();
                    Testar_DLL.area_log1.append("\nIDbGetBinSerial - " + nova_palavra + " Kg - " + enderecos[0]);
                }

                if (tamanho_vetor == 6) {
                    String palavra_dado1 = palavra.substring(0, 3);
                    String palavra_dado2 = palavra.substring(1, 4);
                    String nova_palavra = palavra_dado1.concat(",").concat(palavra_dado2);
                    enderecos = Trata_Conexao.getEnderecos();
                    Testar_DLL.area_log1.append("\nIDbGetBinSerial - " + nova_palavra + " Kg - " + enderecos[0]);
                }


            }
        }

    }

    //Método que para a Thread
    public void stop() {
        Trata_Acao.habilitar = false;
    }

    //Método que controle o modo eco
    public void set_aumenta_eco(int num1) {
        Trata_Acao.eco = eco + num1;
    }

    //Método que controle o modo eco
    public void set_diminui_eco(int num2) {
        Trata_Acao.eco = eco - num2;
    }
}
