package Thread;

import Telas.IP_Conectados;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class Trata_Tela_IP implements Runnable {

    static boolean habilitar = true;
    static int aux = 0;
    IP_Conectados endereco_ip = new IP_Conectados();

    @Override
    public void run() {

        //THREAD - abre a tela de IP_Conectados e fecha após 18000 ms
        if (aux == 1) {
            while (habilitar) {

                set_aux(1);
                endereco_ip.setVisible(true);
                try {
                    Thread.sleep(18000);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                endereco_ip.setVisible(false);

                stop();

                set_diminui_aux(2);

            }

        }
    }

    //Método que para a Thread
    public void stop() {
        Trata_Tela_IP.habilitar = false;
    }

    //Método que inicia a Thread
    public void inicia() {
        if (aux == 0) {
            Trata_Tela_IP tecla = new Trata_Tela_IP();
            new Thread(tecla).start();
            Trata_Tela_IP.habilitar = true;
            set_aux(1);
        } else {
            JOptionPane.showMessageDialog(null, "Há uma janela da Lista de IP aberta!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
        }
    }

    //Método que faz o controle se a tela de IP_Conectados foi aberto mais de 1 vez
    public void set_aux(int parametro) {
        Trata_Tela_IP.aux = aux + parametro;
    }

    //Método que faz o controle se a tela de IP_Conectados foi aberto mais de 1 vez
    public void set_diminui_aux(int numero) {
        Trata_Tela_IP.aux = aux - numero;
    }
}
