
#ifndef IDS_H
#define IDS_H

#define IDvLive            0x0001
#define IDwGetIndentify    0x0003
#define IDvSetSetupTCP     0x0005
#define IDvGetSetupTCP     0x0007

//CARTAO
#define IDvSetCard         0x0009
#define IDbGetCard         0x000B
#define IDbReadBuffCard    0x000D

//TECLADO
#define IDvSetEnableKey    0x000F
#define IDbGetEnableKey    0x0011
#define IDvReset           0x0013
#define IDvSetCapsLock     0x0015
#define IDbGetCapsLock     0x0017
#define IDvSetNumLock      0x0019
#define IDbGetNumLock      0x001B
#define IDcGetCharTerm     0x001D
#define IDbProgramKbd      0x001F
#define IDvSetBeep         0x005D
#define IDvSetBeepKey      0x005F

//LCD
#define IDvBackSpace       0x0021
#define IDvCarRet          0x0023
#define IDvLineFeed        0x0025
#define IDvFormFeed        0x0027
#define IDvGoToXY          0x0029
#define IDvGoToXYRef       0x002B
#define IDbReadEditString  0x002D
#define IDvSetEditString   0x002F
#define IDbGetEditString   0x0031
#define IDvDispStr         0x0033
#define IDvDispCh          0x0035
#define IDvDispClrLn       0x0037

//SERIAL
#define IDvSetEnableSerial 0x0039
#define IDbGetEnableSerial 0x003B
#define IDbGetBinSerial    0x003D
#define IDbSendBinSerial   0x003F
#define IDbSetSetupSerial  0x0041
#define IDvGetSetupSerial  0x0043

//IMPRESSORA
#define IDcInitPrn         0x0045
#define IDcGetStatusPrn    0x0047
#define IDcSendPrn         0x0049

//NEW ADDED
#define IDvSetExSetupTCP   0x0051
#define IDvGetExSetupTCP   0x0053
#define IDvSetSetupUpdate  0x0055
#define IDvGetSetupUpdate  0x0057

#define IDvRestart         0x0059
//#define IDvUpdate          0x005A
#define IDvFTPMode         0x005B

#endif /*IDS_H*/
