﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace MTI_7000
{
    
    class pmtg
    {

        //-----------------------------------------------------------------------------------------------------------
        //INICIALIZAÇÃO E FINALIZAÇÃO

        [DllImport("pmtg.dll", EntryPoint = "mt_startserver")]
        public static extern int mt_startserver(IntPtr hWindow, int conecmsg, int commumsg);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //COMANDOS BÁSICOS PARA O TERMINAL

        [DllImport("pmtg.dll", EntryPoint = "mt_restart")]
        public static extern int mt_restart(int ID);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //REDE   

        [DllImport("pmtg.dll", EntryPoint = "mt_sendconfig")]
        public static extern int mt_sendconfig(int ID, ref MTI_7000.estrutura.Ethernet config);
        
        [DllImport("pmtg.dll", EntryPoint = "mt_getconfig")]
        public static extern int mt_getconfig(int ID, ref MTI_7000.estrutura.Ethernet config);

        [DllImport("pmtg.dll", EntryPoint = "mt_reqconfig")]
        public static extern int mt_reqconfig(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_reqexconfig")]
        public static extern int mt_reqexconfig(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_sendexconfig")]
        public static extern int mt_sendexconfig(int ID, ref MTI_7000.estrutura.DNS config);
        
        [DllImport("pmtg.dll", EntryPoint = "mt_getexconfig")]
        public static extern int mt_getexconfig(int ID, ref MTI_7000.estrutura.DNS config);

        [DllImport("pmtg.dll", EntryPoint = "mt_inet_ntoa_inv")]
        public static extern string mt_inet_ntoa_inv(int oip);

        [DllImport("pmtg.dll", EntryPoint = "mt_inet_ntoa")]
        public static extern string mt_inet_ntoa(int oip);

        [DllImport("pmtg.dll", EntryPoint = "mt_inet_addr_inv")]
        public static extern int mt_inet_addr_inv(string oip);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //DISPLAY

        [DllImport("pmtg.dll", EntryPoint = "mt_backspace")]
        public static extern int mt_backspace(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_carret")]
        public static extern int mt_carret(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_linefeed")]
        public static extern int mt_linefeed(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_dispstr")]
        public static extern int mt_dispstr(int ID, string str);

        [DllImport("pmtg.dll", EntryPoint = "mt_formfeed")]
        public static extern int mt_formfeed(int ID);

        [DllImport("pmtg.dll", EntryPoint = "mt_gotoxy")]
        public static extern int mt_gotoxy(int ID, int lin, int col);

        [DllImport("pmtg.dll", EntryPoint = "mt_gotoxyref")]
        public static extern int mt_gotoxyref(int ID, int lin, int col);

        [DllImport("pmtg.dll", EntryPoint = "mt_dispch")]
        public static extern int mt_dispch(int ID, char ch);

        [DllImport("pmtg.dll", EntryPoint = "mt_dispclrln")]
        public static extern int mt_dispclrln(int ID, int lin);

        [DllImport("pmtg.dll", EntryPoint = "mt_seteditstring")]
        public static extern int mt_seteditstring(int ID, string Byte, bool onoff, bool password);

        [DllImport("pmtg.dll", EntryPoint = "mt_geteditstring")]
        public static extern int mt_geteditstring(int ID, byte[] buf3);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //TECLADO

        [DllImport("pmtg.dll", EntryPoint = "mt_setenablekey")]
        public static extern int mt_setenablekey(int ID, bool onoff);

        [DllImport("pmtg.dll", EntryPoint = "mt_setbeep")]
        public static extern int mt_setbeep(int ID, bool onoff);

        [DllImport("pmtg.dll", EntryPoint = "mt_setbeepkey")]
        public static extern int mt_setbeepkey(int ID, int onoff);

        [DllImport("pmtg.dll", EntryPoint = "mt_getkey")]
        public static extern int mt_getkey(int ID, byte[] buf);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //SERIAL  

        [DllImport("pmtg.dll", EntryPoint = "mt_setenableserial")]
        public static extern int mt_setenableserial(int ID, byte com, bool onoff);

        [DllImport("pmtg.dll", EntryPoint = "mt_sendbinserial")]
        public static extern int mt_sendbinserial(int ID, byte com, string Bin, byte tam);

        [DllImport("pmtg.dll", EntryPoint = "mt_sendbinserial")]
        public static extern int mt_sendbinserial(int ID, byte com, byte[] Bin, byte tam);

        [DllImport("pmtg.dll", EntryPoint = "mt_getserial")]
        public static extern int mt_getserial(int ID, int[] sercom, byte[] buf);

        [DllImport("pmtg.dll", EntryPoint = "mt_sendconfigserial")]
        public static extern int mt_sendconfigserial(int ID, ref MTI_7000.estrutura.Enviar_Serial_Auxiliar config);

        [DllImport("pmtg.dll", EntryPoint = "mt_reqconfigserial")]
        public static extern int mt_reqconfigserial(int ID, byte com);

        [DllImport("pmtg.dll", EntryPoint = "mt_getconfigserial")]
        public static extern int mt_getconfigserial(int ID, ref MTI_7000.estrutura.Receber_Serial config);

        [DllImport("pmtg.dll", EntryPoint = "mt_settermserial")]
        public static extern int mt_settermserial(int ID, int com, int term, int onoff);

        //-----------------------------------------------------------------------------------------------------------

        //-----------------------------------------------------------------------------------------------------------
        //CARTÃO MAGNÉTICO

        [DllImport("pmtg.dll", EntryPoint = "mt_sendsetcard")]
        public static extern int mt_sendsetcard(int ID, int onoff);

        [DllImport("pmtg.dll", EntryPoint = "mt_getcardbuf")]
        public static extern int mt_getcardbuf(int ID, ref MTI_7000.estrutura.Recebe_Cartao cardbuf);

        //-----------------------------------------------------------------------------------------------------------
    }
}
