package Telas;

import Classe.Tela_Microterminal;
import DLL.Estrutura_Dados;
import DLL.Estrutura_Dados.Dns;
import DLL.Estrutura_Dados.Enviar_Serial_Auxiliar;
import DLL.Estrutura_Dados.Ethernet;
import Thread.Trata_Acao;
import Thread.Trata_Conexao;
import Thread.Trata_Tela_IP;
import java.awt.Color;
import java.awt.HeadlessException;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JTextArea;

public class Testar_DLL extends javax.swing.JFrame {

    static int opcao_caso = 4, aux = 0, terminal = 0,
            combinacao = 0, opcao_baud = 0, opcao_bits = 0,
            opcao_parity = 0, controle_ativado = 0,
            controle_desativado = 0, seldinamico = 0;
    ;
    int conecmsg = 0x0400 + 2, commumsg = 0x0400 + 1;
    static Estrutura_Dados microterminal = null;
    static int parametro;
    static boolean senha = false;
    byte[] buftecla4 = new byte[256];
    String[] enderecos;
    Trata_Acao acao = new Trata_Acao();
    Trata_Conexao conect = new Trata_Conexao();
    Trata_Tela_IP menu = new Trata_Tela_IP();
    IP_Conectados endereco_ip = new IP_Conectados();

    public Testar_DLL() {
        initComponents();

        //Define a imagem de Fundo do JPanel
        Tela_Microterminal background = new Tela_Microterminal("src/Imagem/Gertec_Fundo_Grande.jpg");
        background.setSize(900, 900);
        getContentPane().add(background);

        setEvento("\t\t         *** APLICATIVO MTI-7000 ***");
        //Método que escreve no logo a data e a hora do sistema
        setEvento(getDate());

        //Método que deixa o JLabel centralizado
        setLocationRelativeTo(null);

        //Método que verifica se a tela foi fechada
        setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent evt) {
                String ConfirmaSaida = "Deseja sair do teste da DLL?";
                String Titulo = "TESTE DA DLL";
                int i = JOptionPane.showConfirmDialog(null, ConfirmaSaida, Titulo, JOptionPane.OK_OPTION,
                        JOptionPane.CLOSED_OPTION, new ImageIcon("src/Imagem/Gertec.jpg"));
                //OPÇÃO = FECHAR TELA
                if (i == JOptionPane.YES_OPTION) {
                    microterminal = Estrutura_Dados.INSTANCE;
                    terminal = endereco_ip.getIndex();

                    if (terminal == 1) {

                        microterminal.mt_formfeed(terminal);

                        microterminal.mt_gotoxy(terminal, 1, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 2, 0);
                        microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");

                        microterminal.mt_gotoxy(terminal, 3, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 8, 0);
                        microterminal.mt_dispstr(terminal, "****************");

                        microterminal.mt_gotoxy(terminal, 4, 0);

                        microterminal.mt_setenablekey(terminal, true);
                        dispose();
                        set_diminui_menu(1);
                    } else {
                        dispose();
                        set_diminui_menu(1);
                    }

                } else {
                }
            }
        });

        //Definir ícone, cor de fundo e desabilitar a maximização
        Image icon = Toolkit.getDefaultToolkit().getImage("src/Imagem/Gertec.jpg");
        setIconImage(icon);
        getContentPane().setBackground(Color.white);
        setResizable(false);
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        tabela = new javax.swing.JTabbedPane();
        configurar_serial = new javax.swing.JPanel();
        serial_interno = new javax.swing.JPanel();
        texto_bits = new javax.swing.JLabel();
        habilitar_serial_com = new javax.swing.JButton();
        enviar_serial = new javax.swing.JButton();
        texto_baud = new javax.swing.JLabel();
        desabilitar_serial_com = new javax.swing.JButton();
        texto_porta = new javax.swing.JLabel();
        seleciona_com = new javax.swing.JComboBox();
        texto_parity = new javax.swing.JLabel();
        parity = new javax.swing.JComboBox();
        bits = new javax.swing.JComboBox();
        baud = new javax.swing.JComboBox();
        enviar_config_serial = new javax.swing.JButton();
        receber_config_serial = new javax.swing.JButton();
        texto_formato = new javax.swing.JLabel();
        texto_serial = new javax.swing.JTextField();
        ativa_terminador = new javax.swing.JRadioButton();
        solicita_peso = new javax.swing.JButton();
        desativa_terminador = new javax.swing.JRadioButton();
        recebe_serial = new javax.swing.JTextField();
        texto_balanca = new javax.swing.JLabel();
        configurar_display = new javax.swing.JPanel();
        display_interno = new javax.swing.JPanel();
        posicao_inicial = new javax.swing.JButton();
        backspace = new javax.swing.JButton();
        hab_palavra = new javax.swing.JButton();
        modo_senha = new javax.swing.JCheckBox();
        texto_editado = new javax.swing.JTextField();
        des_palavra = new javax.swing.JButton();
        modo_eco = new javax.swing.JCheckBox();
        caractere = new javax.swing.JTextField();
        recebe_texto = new javax.swing.JTextField();
        enviar_caractere = new javax.swing.JButton();
        enviar_texto = new javax.swing.JButton();
        col_ref = new javax.swing.JTextField();
        limpar_linha = new javax.swing.JButton();
        linha_limpa = new javax.swing.JTextField();
        pos_col = new javax.swing.JTextField();
        texto_coluna1 = new javax.swing.JLabel();
        limpar_display = new javax.swing.JButton();
        pular_linha = new javax.swing.JButton();
        texto_linha1 = new javax.swing.JLabel();
        posiciona = new javax.swing.JButton();
        posiciona_ref = new javax.swing.JButton();
        texto_linha2 = new javax.swing.JLabel();
        texto_coluna2 = new javax.swing.JLabel();
        linha_ref = new javax.swing.JTextField();
        pos_linha = new javax.swing.JTextField();
        configurar_rede = new javax.swing.JPanel();
        rede_interno = new javax.swing.JPanel();
        texto_ip_label = new javax.swing.JLabel();
        texto_servidor_label = new javax.swing.JLabel();
        texto_gateway_label = new javax.swing.JLabel();
        texto_terminal = new javax.swing.JTextField();
        enviar_dns = new javax.swing.JButton();
        texto_cliente = new javax.swing.JTextField();
        texto_mascara_label = new javax.swing.JLabel();
        receber_ethernet = new javax.swing.JButton();
        texto_dns_label = new javax.swing.JLabel();
        texto_terminal_label = new javax.swing.JLabel();
        texto_servidor = new javax.swing.JTextField();
        texto_gateway = new javax.swing.JTextField();
        ip_dinamico = new javax.swing.JCheckBox();
        receber_dns = new javax.swing.JButton();
        texto_dns = new javax.swing.JTextField();
        texto_mascara = new javax.swing.JTextField();
        enviar_ethernet = new javax.swing.JButton();
        configurar_geral = new javax.swing.JPanel();
        geral_interno = new javax.swing.JPanel();
        tecla_ligada = new javax.swing.JButton();
        ligar_beep = new javax.swing.JButton();
        desligar_beep = new javax.swing.JButton();
        recebe_cartao = new javax.swing.JTextField();
        tecla_desligada = new javax.swing.JButton();
        habilita_cartao = new javax.swing.JButton();
        desabilita_cartao = new javax.swing.JButton();
        configurar_log = new javax.swing.JPanel();
        log_interno = new javax.swing.JPanel();
        lista_log = new javax.swing.JScrollPane();
        area_log1 = new javax.swing.JTextArea();
        limpar_log = new javax.swing.JButton();
        atualizar_log = new javax.swing.JButton();
        plano_fundo = new javax.swing.JLabel();
        listar_ip = new javax.swing.JButton();

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 100, Short.MAX_VALUE)
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("TESTE DA DLL");

        tabela.setAutoscrolls(true);
        tabela.setInheritsPopupMenu(true);

        serial_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Configuração Serial"));

        texto_bits.setText("Bits:");

        habilitar_serial_com.setText("HABILITAR");
        habilitar_serial_com.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                habilitar_serial_comActionPerformed(evt);
            }
        });

        enviar_serial.setText("ENVIAR PELA SERIAL");
        enviar_serial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_serialActionPerformed(evt);
            }
        });

        texto_baud.setText("Baud Rate:");

        desabilitar_serial_com.setText("DESABILITAR");
        desabilitar_serial_com.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                desabilitar_serial_comActionPerformed(evt);
            }
        });

        texto_porta.setText("Porta Serial:");

        seleciona_com.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "", "COM1", "COM2", "COM3", "COM4" }));
        seleciona_com.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                seleciona_comActionPerformed(evt);
            }
        });

        texto_parity.setText("Parity:");

        parity.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "", "Nenhum", "Ímpar", "Par" }));
        parity.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                parityActionPerformed(evt);
            }
        });

        bits.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "", "7", "8" }));
        bits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bitsActionPerformed(evt);
            }
        });

        baud.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "", "300", "1200", "2400", "4800", "9600", "19200" }));
        baud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                baudActionPerformed(evt);
            }
        });

        enviar_config_serial.setText("ENVIAR");
        enviar_config_serial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_config_serialActionPerformed(evt);
            }
        });

        receber_config_serial.setText("RECEBER");
        receber_config_serial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                receber_config_serialActionPerformed(evt);
            }
        });

        texto_formato.setText("Formato (0x00)");

        texto_serial.setText("0x03");

        ativa_terminador.setText("Ativar Terminados");
        ativa_terminador.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ativa_terminadorActionPerformed(evt);
            }
        });

        solicita_peso.setText("PESO");
        solicita_peso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                solicita_pesoActionPerformed(evt);
            }
        });

        desativa_terminador.setText("Desativar Terminador");
        desativa_terminador.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                desativa_terminadorActionPerformed(evt);
            }
        });

        texto_balanca.setText("Balança:");

        javax.swing.GroupLayout serial_internoLayout = new javax.swing.GroupLayout(serial_interno);
        serial_interno.setLayout(serial_internoLayout);
        serial_internoLayout.setHorizontalGroup(
            serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createSequentialGroup()
                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(serial_internoLayout.createSequentialGroup()
                        .addGap(36, 36, 36)
                        .addComponent(enviar_config_serial)
                        .addGap(49, 49, 49)
                        .addComponent(receber_config_serial))
                    .addGroup(serial_internoLayout.createSequentialGroup()
                        .addGap(49, 49, 49)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(texto_baud)
                            .addComponent(texto_porta)
                            .addComponent(texto_bits)
                            .addComponent(texto_parity))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(parity, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(bits, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(baud, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(seleciona_com, javax.swing.GroupLayout.PREFERRED_SIZE, 94, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 68, Short.MAX_VALUE)
                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createSequentialGroup()
                                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(desativa_terminador)
                                    .addComponent(ativa_terminador))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(solicita_peso)
                                    .addGroup(serial_internoLayout.createSequentialGroup()
                                        .addComponent(texto_serial, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addComponent(texto_formato))))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createSequentialGroup()
                                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(recebe_serial, javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(serial_internoLayout.createSequentialGroup()
                                        .addComponent(habilitar_serial_com, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(18, 18, 18)
                                        .addComponent(desabilitar_serial_com)))
                                .addGap(36, 36, 36)))
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createSequentialGroup()
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 48, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(enviar_serial)
                            .addGap(71, 71, 71)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, serial_internoLayout.createSequentialGroup()
                        .addComponent(texto_balanca)
                        .addGap(123, 123, 123)))
                .addGap(27, 27, 27))
        );
        serial_internoLayout.setVerticalGroup(
            serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(serial_internoLayout.createSequentialGroup()
                .addGap(64, 64, 64)
                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(serial_internoLayout.createSequentialGroup()
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(desabilitar_serial_com)
                            .addComponent(habilitar_serial_com))
                        .addGap(43, 43, 43)
                        .addComponent(enviar_serial)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(recebe_serial, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(11, 11, 11)
                        .addComponent(texto_balanca, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(ativa_terminador)
                            .addComponent(texto_serial, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(texto_formato)))
                    .addGroup(serial_internoLayout.createSequentialGroup()
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_porta)
                            .addComponent(seleciona_com, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_baud)
                            .addComponent(baud, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_bits)
                            .addComponent(bits, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_parity)
                            .addComponent(parity, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGap(18, 18, 18)
                .addGroup(serial_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(desativa_terminador)
                    .addComponent(solicita_peso)
                    .addComponent(enviar_config_serial)
                    .addComponent(receber_config_serial))
                .addContainerGap(131, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout configurar_serialLayout = new javax.swing.GroupLayout(configurar_serial);
        configurar_serial.setLayout(configurar_serialLayout);
        configurar_serialLayout.setHorizontalGroup(
            configurar_serialLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_serialLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(serial_interno, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        configurar_serialLayout.setVerticalGroup(
            configurar_serialLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_serialLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(serial_interno, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        tabela.addTab("CONFIGURAÇÃO SERIAL", configurar_serial);

        display_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Display"));

        posicao_inicial.setText("POSIÇÃO INICIAL");
        posicao_inicial.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                posicao_inicialActionPerformed(evt);
            }
        });

        backspace.setText("BACKSPACE");
        backspace.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                backspaceActionPerformed(evt);
            }
        });

        hab_palavra.setText("HAB. EDI. PALAVRAS");
        hab_palavra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                hab_palavraActionPerformed(evt);
            }
        });

        modo_senha.setText("Modo Senha");
        modo_senha.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                modo_senhaActionPerformed(evt);
            }
        });

        texto_editado.setText("CÓDIGO:");

        des_palavra.setText("DES. EDI. PALAVRAS");
        des_palavra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                des_palavraActionPerformed(evt);
            }
        });

        modo_eco.setText("Eco pelo Servidor");
        modo_eco.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                modo_ecoActionPerformed(evt);
            }
        });

        enviar_caractere.setText("ENVIAR CARACTERE");
        enviar_caractere.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_caractereActionPerformed(evt);
            }
        });

        enviar_texto.setText("ENVIAR PALAVRA");
        enviar_texto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_textoActionPerformed(evt);
            }
        });

        limpar_linha.setText("LIMPAR LINHA");
        limpar_linha.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                limpar_linhaActionPerformed(evt);
            }
        });

        texto_coluna1.setText("Coluna:");

        limpar_display.setText("LIMPAR DISPLAY");
        limpar_display.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                limpar_displayActionPerformed(evt);
            }
        });

        pular_linha.setText("PULAR LINHA");
        pular_linha.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pular_linhaActionPerformed(evt);
            }
        });

        texto_linha1.setText("Linha:");

        posiciona.setText("POSICIONAR");
        posiciona.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                posicionaActionPerformed(evt);
            }
        });

        posiciona_ref.setText("POSICIONAR REF.");
        posiciona_ref.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                posiciona_refActionPerformed(evt);
            }
        });

        texto_linha2.setText("Linha:");

        texto_coluna2.setText("Coluna:");

        javax.swing.GroupLayout display_internoLayout = new javax.swing.GroupLayout(display_interno);
        display_interno.setLayout(display_internoLayout);
        display_internoLayout.setHorizontalGroup(
            display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, display_internoLayout.createSequentialGroup()
                .addContainerGap(158, Short.MAX_VALUE)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addComponent(texto_editado, javax.swing.GroupLayout.PREFERRED_SIZE, 83, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(modo_senha)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(modo_eco))
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addComponent(limpar_linha, javax.swing.GroupLayout.PREFERRED_SIZE, 117, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(linha_limpa, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(posiciona, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(pular_linha, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(backspace, javax.swing.GroupLayout.DEFAULT_SIZE, 128, Short.MAX_VALUE)
                                .addComponent(enviar_texto, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(enviar_caractere))
                            .addGroup(display_internoLayout.createSequentialGroup()
                                .addGap(16, 16, 16)
                                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(texto_linha1)
                                    .addComponent(texto_coluna1))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(pos_col)
                                    .addComponent(pos_linha, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGap(18, 18, 18)
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(display_internoLayout.createSequentialGroup()
                                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(texto_linha2)
                                    .addComponent(texto_coluna2, javax.swing.GroupLayout.Alignment.LEADING))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(col_ref)
                                    .addComponent(linha_ref, javax.swing.GroupLayout.PREFERRED_SIZE, 36, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addComponent(caractere, javax.swing.GroupLayout.PREFERRED_SIZE, 41, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(posiciona_ref)
                            .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(recebe_texto)
                                .addComponent(limpar_display, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(posicao_inicial))))
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addComponent(hab_palavra)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(des_palavra)))
                .addGap(149, 149, 149))
        );
        display_internoLayout.setVerticalGroup(
            display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(display_internoLayout.createSequentialGroup()
                .addGap(25, 25, 25)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addComponent(backspace)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(pular_linha)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(enviar_texto)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(enviar_caractere)
                            .addComponent(caractere, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(posiciona)
                            .addComponent(posiciona_ref)))
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addComponent(posicao_inicial)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(limpar_display)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(recebe_texto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(18, 18, 18)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_linha1, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(pos_linha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(7, 7, 7)
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_coluna1)
                            .addComponent(pos_col, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(display_internoLayout.createSequentialGroup()
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_linha2)
                            .addComponent(linha_ref, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(7, 7, 7)
                        .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_coluna2)
                            .addComponent(col_ref, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(limpar_linha)
                    .addComponent(linha_limpa, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(24, 24, 24)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(hab_palavra)
                    .addComponent(des_palavra))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(display_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(texto_editado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(modo_senha)
                    .addComponent(modo_eco))
                .addContainerGap(59, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout configurar_displayLayout = new javax.swing.GroupLayout(configurar_display);
        configurar_display.setLayout(configurar_displayLayout);
        configurar_displayLayout.setHorizontalGroup(
            configurar_displayLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_displayLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(display_interno, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        configurar_displayLayout.setVerticalGroup(
            configurar_displayLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_displayLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(display_interno, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        tabela.addTab("DISPLAY", configurar_display);

        rede_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Configuração de Rede"));
        rede_interno.setPreferredSize(new java.awt.Dimension(646, 438));

        texto_ip_label.setText("IP Cliente:");

        texto_servidor_label.setText("IP Servidor:");

        texto_gateway_label.setText("Gateway:");

        enviar_dns.setText("ENVIAR");
        enviar_dns.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_dnsActionPerformed(evt);
            }
        });

        texto_mascara_label.setText("Máscara de Rede:");

        receber_ethernet.setText("RECEBER");
        receber_ethernet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                receber_ethernetActionPerformed(evt);
            }
        });

        texto_dns_label.setText("Servidor DNS:");

        texto_terminal_label.setText("Nome do Terminal:");

        ip_dinamico.setText("IP Dinâmico");
        ip_dinamico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ip_dinamicoActionPerformed(evt);
            }
        });

        receber_dns.setText("RECEBER");
        receber_dns.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                receber_dnsActionPerformed(evt);
            }
        });

        enviar_ethernet.setText("ENVIAR");
        enviar_ethernet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                enviar_ethernetActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout rede_internoLayout = new javax.swing.GroupLayout(rede_interno);
        rede_interno.setLayout(rede_internoLayout);
        rede_internoLayout.setHorizontalGroup(
            rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(rede_internoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(rede_internoLayout.createSequentialGroup()
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(texto_servidor_label)
                            .addComponent(texto_ip_label)
                            .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(enviar_ethernet)
                                .addComponent(texto_mascara_label)))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(texto_servidor)
                            .addComponent(texto_mascara, javax.swing.GroupLayout.DEFAULT_SIZE, 104, Short.MAX_VALUE)
                            .addComponent(texto_cliente)))
                    .addComponent(ip_dinamico, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(receber_ethernet))
                .addGap(135, 135, 135)
                .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(texto_gateway_label)
                    .addComponent(texto_dns_label)
                    .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(enviar_dns)
                        .addComponent(texto_terminal_label)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(texto_gateway)
                    .addComponent(texto_dns)
                    .addComponent(texto_terminal)
                    .addGroup(rede_internoLayout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addComponent(receber_dns)))
                .addContainerGap())
        );
        rede_internoLayout.setVerticalGroup(
            rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(rede_internoLayout.createSequentialGroup()
                .addGap(91, 91, 91)
                .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(rede_internoLayout.createSequentialGroup()
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_cliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(texto_ip_label))
                        .addGap(4, 4, 4)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_servidor, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(texto_servidor_label))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_mascara, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(texto_mascara_label))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(ip_dinamico)
                        .addGap(36, 36, 36)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(receber_ethernet, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(enviar_ethernet)))
                    .addGroup(rede_internoLayout.createSequentialGroup()
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(texto_gateway, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(texto_gateway_label))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(rede_internoLayout.createSequentialGroup()
                                .addComponent(texto_dns, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(texto_terminal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(texto_terminal_label)))
                            .addComponent(texto_dns_label))
                        .addGap(66, 66, 66)
                        .addGroup(rede_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(enviar_dns)
                            .addComponent(receber_dns))))
                .addContainerGap(170, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout configurar_redeLayout = new javax.swing.GroupLayout(configurar_rede);
        configurar_rede.setLayout(configurar_redeLayout);
        configurar_redeLayout.setHorizontalGroup(
            configurar_redeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_redeLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(rede_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 598, Short.MAX_VALUE)
                .addContainerGap())
        );
        configurar_redeLayout.setVerticalGroup(
            configurar_redeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_redeLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(rede_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 444, Short.MAX_VALUE)
                .addContainerGap())
        );

        tabela.addTab("REDE", configurar_rede);

        geral_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Configuração Geral"));
        geral_interno.setPreferredSize(new java.awt.Dimension(400, 351));

        tecla_ligada.setText("HAB. BEEP TECLA");
        tecla_ligada.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tecla_ligadaActionPerformed(evt);
            }
        });

        ligar_beep.setText("LIGAR BEEP");
        ligar_beep.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ligar_beepActionPerformed(evt);
            }
        });

        desligar_beep.setText("DESLIGAR BEEP");
        desligar_beep.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                desligar_beepActionPerformed(evt);
            }
        });

        recebe_cartao.setEditable(false);

        tecla_desligada.setText("DES. BEEP TECLA");
        tecla_desligada.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tecla_desligadaActionPerformed(evt);
            }
        });

        habilita_cartao.setText("HABILITAR CARTÃO");
        habilita_cartao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                habilita_cartaoActionPerformed(evt);
            }
        });

        desabilita_cartao.setText("DESABILITAR CARTÃO");
        desabilita_cartao.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                desabilita_cartaoActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout geral_internoLayout = new javax.swing.GroupLayout(geral_interno);
        geral_interno.setLayout(geral_internoLayout);
        geral_internoLayout.setHorizontalGroup(
            geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(geral_internoLayout.createSequentialGroup()
                .addGap(109, 109, 109)
                .addComponent(habilita_cartao, javax.swing.GroupLayout.PREFERRED_SIZE, 154, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(38, 38, 38)
                .addComponent(desabilita_cartao)
                .addGap(142, 142, 142))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, geral_internoLayout.createSequentialGroup()
                .addGap(58, 58, 58)
                .addGroup(geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(recebe_cartao, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 429, Short.MAX_VALUE)
                    .addGroup(geral_internoLayout.createSequentialGroup()
                        .addGroup(geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(tecla_ligada)
                            .addComponent(tecla_desligada))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 190, Short.MAX_VALUE)
                        .addGroup(geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(desligar_beep, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(ligar_beep, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE))))
                .addGap(101, 101, 101))
        );
        geral_internoLayout.setVerticalGroup(
            geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(geral_internoLayout.createSequentialGroup()
                .addGap(61, 61, 61)
                .addGroup(geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, geral_internoLayout.createSequentialGroup()
                        .addComponent(tecla_ligada)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(tecla_desligada))
                    .addGroup(geral_internoLayout.createSequentialGroup()
                        .addGap(62, 62, 62)
                        .addComponent(ligar_beep)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(desligar_beep)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 94, Short.MAX_VALUE)
                .addGroup(geral_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(habilita_cartao, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(desabilita_cartao))
                .addGap(36, 36, 36)
                .addComponent(recebe_cartao, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(74, 74, 74))
        );

        javax.swing.GroupLayout configurar_geralLayout = new javax.swing.GroupLayout(configurar_geral);
        configurar_geral.setLayout(configurar_geralLayout);
        configurar_geralLayout.setHorizontalGroup(
            configurar_geralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_geralLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(geral_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 598, Short.MAX_VALUE)
                .addContainerGap())
        );
        configurar_geralLayout.setVerticalGroup(
            configurar_geralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_geralLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(geral_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 444, Short.MAX_VALUE)
                .addContainerGap())
        );

        tabela.addTab("CONFIGURAÇÃO GERAL", configurar_geral);

        log_interno.setBorder(javax.swing.BorderFactory.createTitledBorder("Log"));
        log_interno.setPreferredSize(new java.awt.Dimension(400, 351));

        area_log1.setColumns(20);
        area_log1.setEditable(false);
        area_log1.setRows(5);
        lista_log.setViewportView(area_log1);

        limpar_log.setText("LIMPAR");
        limpar_log.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                limpar_logActionPerformed(evt);
            }
        });

        atualizar_log.setText("ATUALIZAR TERMINAL");
        atualizar_log.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                atualizar_logActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout log_internoLayout = new javax.swing.GroupLayout(log_interno);
        log_interno.setLayout(log_internoLayout);
        log_internoLayout.setHorizontalGroup(
            log_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(log_internoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(log_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lista_log, javax.swing.GroupLayout.DEFAULT_SIZE, 566, Short.MAX_VALUE)
                    .addGroup(log_internoLayout.createSequentialGroup()
                        .addComponent(limpar_log, javax.swing.GroupLayout.PREFERRED_SIZE, 85, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(atualizar_log)))
                .addContainerGap())
        );
        log_internoLayout.setVerticalGroup(
            log_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(log_internoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(log_internoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(limpar_log)
                    .addComponent(atualizar_log))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lista_log, javax.swing.GroupLayout.DEFAULT_SIZE, 371, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout configurar_logLayout = new javax.swing.GroupLayout(configurar_log);
        configurar_log.setLayout(configurar_logLayout);
        configurar_logLayout.setHorizontalGroup(
            configurar_logLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_logLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(log_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 598, Short.MAX_VALUE)
                .addContainerGap())
        );
        configurar_logLayout.setVerticalGroup(
            configurar_logLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(configurar_logLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(log_interno, javax.swing.GroupLayout.DEFAULT_SIZE, 444, Short.MAX_VALUE)
                .addContainerGap())
        );

        tabela.addTab("LOG", configurar_log);

        plano_fundo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagem/Gertec_Logo.jpg"))); // NOI18N

        listar_ip.setText("LISTA IP");
        listar_ip.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listar_ipActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(plano_fundo)
                        .addGap(58, 58, 58)
                        .addComponent(listar_ip)
                        .addGap(45, 45, 45))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(tabela, javax.swing.GroupLayout.DEFAULT_SIZE, 623, Short.MAX_VALUE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap(42, Short.MAX_VALUE)
                        .addComponent(listar_ip)
                        .addGap(37, 37, 37))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(plano_fundo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                .addComponent(tabela, javax.swing.GroupLayout.DEFAULT_SIZE, 491, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void enviar_textoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_textoActionPerformed
        try {
            String palavra = recebe_texto.getText();

            if (palavra.isEmpty() == true) {
                JOptionPane.showMessageDialog(this, "Campo Inválido! Insira uma palavra para enviar no display!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            if (palavra.isEmpty() == false) {

                microterminal = Estrutura_Dados.INSTANCE;

                terminal = endereco_ip.getIndex();

                if (terminal == 1) {

                    microterminal.mt_dispstr(terminal, palavra);

                    enderecos = Trata_Conexao.getEnderecos();
                    area_log1.append("\nIDvDispStr - " + palavra + " - " + enderecos[0]);



                } else {
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }


            }

            Thread.sleep(500);
        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviar_textoActionPerformed

    private void listar_ipActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listar_ipActionPerformed
        //Método que abre a tela lista de ip conectados
        menu.inicia();
    }//GEN-LAST:event_listar_ipActionPerformed

    private void limpar_logActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_limpar_logActionPerformed
        //Método que limpa o log
        setLimpa(area_log1);
        setEvento("\t\t         *** APLICATIVO MTI-7000 ***");
        setEvento(getDate());
    }//GEN-LAST:event_limpar_logActionPerformed

    private void atualizar_logActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_atualizar_logActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                microterminal.mt_restart(terminal);


                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvRestart - " + enderecos[0]);


                Thread.sleep(1000);

                microterminal.mt_gotoxy(terminal, 1, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 2, 0);
                microterminal.mt_dispstr(terminal, "SISTEMA MTI-7000");

                microterminal.mt_gotoxy(terminal, 3, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 8, 0);
                microterminal.mt_dispstr(terminal, "****************");

                microterminal.mt_gotoxy(terminal, 4, 0);

                microterminal.mt_setenablekey(terminal, true);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));

            }



        } catch (InterruptedException | HeadlessException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_atualizar_logActionPerformed

    private void ligar_beepActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ligar_beepActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_setbeep(terminal, true);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetBeep - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_ligar_beepActionPerformed

    private void desligar_beepActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_desligar_beepActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_setbeep(terminal, false);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetBeep - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_desligar_beepActionPerformed

    private void tecla_ligadaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tecla_ligadaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_setenablekey(terminal, true);
                microterminal.mt_setbeepkey(terminal, 1);

                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetBeepKey - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_tecla_ligadaActionPerformed

    private void tecla_desligadaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tecla_desligadaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_setbeepkey(terminal, 0);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetBeepKey - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_tecla_desligadaActionPerformed

    private void receber_ethernetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_receber_ethernetActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_reqconfig(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvGetSetupTCP - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_receber_ethernetActionPerformed

    private void receber_dnsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_receber_dnsActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_reqexconfig(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvGetExSetupTCP - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }


    }//GEN-LAST:event_receber_dnsActionPerformed

    private void backspaceActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_backspaceActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_backspace(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvBackSpace - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_backspaceActionPerformed

    private void posicao_inicialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_posicao_inicialActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_carret(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvCarRet - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_posicao_inicialActionPerformed

    private void pular_linhaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pular_linhaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_linefeed(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvLineFeed - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_pular_linhaActionPerformed

    private void limpar_displayActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_limpar_displayActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {


                microterminal.mt_formfeed(terminal);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvFormFeed - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_limpar_displayActionPerformed

    private void enviar_caractereActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_caractereActionPerformed
        try {
            String dado = caractere.getText();

            if (dado.isEmpty() == true) {
                JOptionPane.showMessageDialog(this, "Campo Inválido! Insira um caractere para enviar no display!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            if (dado.isEmpty() == false) {

                microterminal = Estrutura_Dados.INSTANCE;

                terminal = endereco_ip.getIndex();

                if (terminal == 1) {

                    if (dado.length() == 1) {

                        char dado_numerico = dado.charAt(0);

                        microterminal.mt_dispch(terminal, dado_numerico);
                        enderecos = Trata_Conexao.getEnderecos();

                        area_log1.append("\nIDvDispCh - " + dado_numerico + " - " + enderecos[0]);

                    } else {
                        JOptionPane.showMessageDialog(this, "Campo Inválido! Insira um caractere para enviar no "
                                + "display!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    }

                } else {
                    if (dado.length() == 1) {
                        JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                                new ImageIcon("src/Imagem/Gertec.jpg"));
                    } else {
                        JOptionPane.showMessageDialog(this, "Campo Inválido! Insira um caractere para enviar no "
                                + "display!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                                new ImageIcon("src/Imagem/Gertec.jpg"));

                    }
                }


            }

            Thread.sleep(500);
        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviar_caractereActionPerformed

    private void posicionaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_posicionaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();
            String palavra1 = pos_linha.getText();
            String palavra2 = pos_col.getText();

            String linha2 = "^[0-8]*$";
            String coluna2 = "^[0-9]*$";

            Pattern pattern1 = Pattern.compile(linha2);
            Matcher matcher1 = pattern1.matcher(palavra1);

            Pattern pattern2 = Pattern.compile(coluna2);
            Matcher matcher2 = pattern2.matcher(palavra2);


            if ((palavra1.isEmpty()) || (palavra2.isEmpty())) {

                if (terminal == 1) {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8"
                            + " e um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                            + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                } else {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 e "
                            + "um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                            + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }


            } else {

                int num1 = Integer.parseInt(palavra1);
                int num2 = Integer.parseInt(palavra2);

                //matcher1 e matcher2 verifica se foi digitado números de 0 a 8 e de 0 a 9 
                if (matcher1.matches()) {
                    if ((Integer.parseInt(pos_linha.getText()) >= 0) && (Integer.parseInt(pos_linha.getText()) < 9)) {

                        if (matcher2.matches()) {
                            if ((Integer.parseInt(pos_col.getText()) >= 0) && (Integer.parseInt(pos_col.getText())
                                    < 17)) {
                                if (terminal == 1) {
                                    microterminal.mt_gotoxy(terminal, num1, num2);


                                    enderecos = Trata_Conexao.getEnderecos();
                                    area_log1.append("\nIDvGoToXY - Linha:" + num1 + " / Coluna:" + num2 + " - "
                                            + enderecos[0]);


                                } else {
                                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                                            "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                }
                            } else {
                                if (terminal == 1) {
                                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha "
                                            + "de 0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o "
                                            + "campo de linha ou coluna\n está vazio!", "MTI-7000", 1,
                                            new ImageIcon("src/Imagem/Gertec.jpg"));
                                } else {
                                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha "
                                            + "de 0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o campo "
                                            + "de linha ou coluna\n está vazio!", "MTI-7000", 1,
                                            new ImageIcon("src/Imagem/Gertec.jpg"));
                                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                                            "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                }
                            }
                        }

                    } else {
                        if (terminal == 1) {
                            JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha "
                                    + "de 0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o campo de "
                                    + "linha ou coluna\n está vazio!", "MTI-7000", 1,
                                    new ImageIcon("src/Imagem/Gertec.jpg"));
                        } else {
                            JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de "
                                    + "0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o campo de linha "
                                    + "ou coluna\n está vazio!", "MTI-7000", 1,
                                    new ImageIcon("src/Imagem/Gertec.jpg"));
                            JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                                    new ImageIcon("src/Imagem/Gertec.jpg"));
                        }
                    }

                }

            }
            Thread.sleep(500);

        } catch (HeadlessException | NumberFormatException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_posicionaActionPerformed

    private void limpar_linhaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_limpar_linhaActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();
            String palavra1 = linha_limpa.getText();

            String coluna2 = "^[0-9]*$";

            Pattern pattern1 = Pattern.compile(coluna2);
            Matcher matcher1 = pattern1.matcher(palavra1);


            if ((palavra1.isEmpty())) {

                if (terminal == 1) {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 e "
                            + "verifique\n se o campo está vazio!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                } else {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 e "
                            + "verifique\n se o campo está vazio!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }


            } else {
                //matcher1 verifica se foi digitado números de 0 a 9 
                if (matcher1.matches()) {

                    if (terminal == 1) {

                        int num1 = Integer.parseInt(palavra1);
                        microterminal.mt_dispclrln(terminal, num1);

                        enderecos = Trata_Conexao.getEnderecos();
                        area_log1.append("\nIDvDispClrLn - Linha:" + num1 + " - " + enderecos[0]);


                    } else {
                        JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP CONECTADOS!",
                                "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    }

                } else {
                    if (terminal == 1) {
                        JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                                + "e verifique\n se o campo está vazio!", "MTI-7000", 1,
                                new ImageIcon("src/Imagem/Gertec.jpg"));
                    } else {
                        JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                                + "e verifique\n se o campo está vazio!", "MTI-7000", 1,
                                new ImageIcon("src/Imagem/Gertec.jpg"));
                        JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                                new ImageIcon("src/Imagem/Gertec.jpg"));
                    }
                }
            }


            Thread.sleep(500);

        } catch (HeadlessException | NumberFormatException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_limpar_linhaActionPerformed

    private void posiciona_refActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_posiciona_refActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();
            String palavra1 = linha_ref.getText();
            String palavra2 = col_ref.getText();

            String linha2 = "^[0-8]*$";
            String coluna2 = "^[0-9]*$";

            Pattern pattern1 = Pattern.compile(linha2);
            Matcher matcher1 = pattern1.matcher(palavra1);

            Pattern pattern2 = Pattern.compile(coluna2);
            Matcher matcher2 = pattern2.matcher(palavra2);


            if ((palavra1.isEmpty()) || (palavra2.isEmpty())) {

                if (terminal == 1) {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                            + "e um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                            + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                } else {
                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 e um "
                            + "número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n está "
                            + "vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                }


            } else {

                int num1 = Integer.parseInt(palavra1);
                int num2 = Integer.parseInt(palavra2);

                //matcher1 e matcher2 verifica se foi digitado números de 0 a 8 e números de 0 a 9
                if (matcher1.matches()) {
                    if ((Integer.parseInt(linha_ref.getText()) >= 0) && (Integer.parseInt(linha_ref.getText()) < 9)) {

                        if (matcher2.matches()) {
                            if ((Integer.parseInt(col_ref.getText()) >= 0) && (Integer.parseInt(col_ref.getText())
                                    < 17)) {
                                if (terminal == 1) {
                                    microterminal.mt_gotoxyref(terminal, num1, num2);


                                    enderecos = Trata_Conexao.getEnderecos();
                                    area_log1.append("\nIDvGoToXYRef - Linha:" + num1 + " / Coluna:" + num2 + " - "
                                            + enderecos[0]);


                                } else {
                                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de "
                                            + "IP CONECTADOS!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                }
                            } else {
                                if (terminal == 1) {
                                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha "
                                            + "de 0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o campo "
                                            + "de linha ou coluna\n está vazio!", "MTI-7000", 1,
                                            new ImageIcon("src/Imagem/Gertec.jpg"));
                                } else {
                                    JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha "
                                            + "de 0 a 8 e um número\n de coluna de 0 a 16 ou verifique se o campo de "
                                            + "linha ou coluna\n está vazio!", "MTI-7000", 1,
                                            new ImageIcon("src/Imagem/Gertec.jpg"));
                                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                                            "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                                }
                            }
                        }

                    } else {
                        if (terminal == 1) {
                            JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                                    + "e um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                                    + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        } else {
                            JOptionPane.showMessageDialog(this, "Campo inválido! Insira um número de linha de 0 a 8 "
                                    + "e um número\n de coluna de 0 a 16 ou verifique se o campo de linha ou coluna\n "
                                    + "está vazio!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                            JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                                    new ImageIcon("src/Imagem/Gertec.jpg"));
                        }
                    }

                }

            }
            Thread.sleep(500);

        } catch (HeadlessException | NumberFormatException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_posiciona_refActionPerformed

    private void modo_senhaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_modo_senhaActionPerformed
        //Habilita o modo senha
        if (aux == 0) {
            Testar_DLL.senha = true;
            aux++;
        } else {
            Testar_DLL.senha = false;
            aux = 0;
        }
    }//GEN-LAST:event_modo_senhaActionPerformed

    private void modo_ecoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_modo_ecoActionPerformed
//Habilita o modo eco
        if (combinacao == 0) {
            acao.set_aumenta_eco(1);
            combinacao++;
        } else {
            acao.set_diminui_eco(1);
            combinacao = 0;
        }
    }//GEN-LAST:event_modo_ecoActionPerformed

    private void hab_palavraActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_hab_palavraActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_setenablekey(terminal, true);
                microterminal.mt_seteditstring(terminal, "" + texto_editado.getText(), true, senha);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetEditString - " + texto_editado.getText() + " - " + enderecos[0]);


            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_hab_palavraActionPerformed

    private void des_palavraActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_des_palavraActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_setenablekey(terminal, true);
                microterminal.mt_seteditstring(terminal, "", false, senha);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetEditString - " + texto_editado.getText() + " - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_des_palavraActionPerformed

    private void habilita_cartaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_habilita_cartaoActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_sendsetcard(terminal, true);
                JOptionPane.showMessageDialog(this, "Passe o cartão magnético na leitora!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetCard - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_habilita_cartaoActionPerformed

    private void desabilita_cartaoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_desabilita_cartaoActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                microterminal.mt_sendsetcard(terminal, false);
                enderecos = Trata_Conexao.getEnderecos();
                area_log1.append("\nIDvSetCard - " + enderecos[0]);

            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_desabilita_cartaoActionPerformed

    private void enviar_ethernetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_ethernetActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                int tamanho1 = (texto_cliente.getText().length());
                int tamanho2 = (texto_servidor.getText().length());
                int tamanho3 = (texto_mascara.getText().length());

                if (tamanho1 > 8 && tamanho1 < 16) {

                    if (tamanho2 > 8 && tamanho2 < 16) {

                        if (tamanho3 > 8 && tamanho3 < 16) {

                            Ethernet ethernet_dado = new Ethernet();

                            ethernet_dado.cliente = (microterminal.mt_inet_addr_inv(texto_cliente.getText().toString()));
                            ethernet_dado.servidor = (microterminal.mt_inet_addr_inv(texto_servidor.getText().toString()));
                            ethernet_dado.mascara = (microterminal.mt_inet_addr_inv(texto_mascara.getText().toString()));


                            if (ip_dinamico.isSelected() == true) {
                                ethernet_dado.dinamico = 1;
                            } else {
                                ethernet_dado.dinamico = 0;
                            }

                            microterminal.mt_sendconfig(terminal, ethernet_dado);


                            enderecos = Trata_Conexao.getEnderecos();
                            area_log1.append("\nIDvSetSetupTCP - " + enderecos[0]);
                        } else {
                            JOptionPane.showMessageDialog(this, "Insira um número de Máscara de rede! "
                                    + "Dica: 255.255.255.0", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        }

                    } else {
                        JOptionPane.showMessageDialog(this, "Insira um número de IP Servidor! "
                                + "Dica: 192.168.0.80", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                    }


                } else {
                    JOptionPane.showMessageDialog(this, "Insira um número de IP Cliente! "
                            + "Dica: 192.168.0.80", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                }
            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);



        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviar_ethernetActionPerformed

    private void enviar_dnsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_dnsActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                int tamanho4 = (texto_gateway.getText().length());
                int tamanho5 = (texto_dns.getText().length());
                int tamanho6 = (texto_terminal.getText().length());

                if (tamanho4 > 8 && tamanho4 < 16) {

                    if (tamanho5 > 8 && tamanho5 < 16) {

                        if (tamanho6 > 0 && tamanho6 < 16) {


                            Dns dns_dado = new Dns();

                            dns_dado.gateway = (microterminal.mt_inet_addr_inv(texto_gateway.getText().toString()));
                            dns_dado.dns = (microterminal.mt_inet_addr_inv(texto_dns.getText().toString()));


                            String nome_microterminal = texto_terminal.getText();

                            byte[] novo_microterminal = nome_microterminal.getBytes();

                            dns_dado.terminal = novo_microterminal;
                            microterminal.mt_sendexconfig(terminal, dns_dado);
                            enderecos = Trata_Conexao.getEnderecos();
                            area_log1.append("\nIDvSetExSetupTCP - " + enderecos[0]);

                        } else {
                            JOptionPane.showMessageDialog(this, "Insira um número de IP do Gateway! "
                                    + "Dica: 172.18.12.5", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        }
                    } else {
                        JOptionPane.showMessageDialog(this, "Insira um número de IP do Servidor de DNS! "
                                + "Dica: 172.18.5.6", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    }
                } else {
                    JOptionPane.showMessageDialog(this, "Insira um nome para o terminal contendo de 1 a 12 caracteres! "
                            + "Dica: MTI-7000", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                }
            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviar_dnsActionPerformed

    private void solicita_pesoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_solicita_pesoActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                if ((opcao_caso == 0) || (opcao_caso == 1)) {

                    //Envia o byte 5 na posição 0 do vetor de byte buftecla para solicitar o pesoa da balança
                    buftecla4[0] = 5;

                    microterminal.mt_sendbinserial(terminal, (byte) opcao_caso, buftecla4, (byte) 1);
                } else {
                    JOptionPane.showMessageDialog(this, "Selecione a porta COM1 ou a porta COM2 "
                            + "para receber o peso!", "MTI-7000", 1);
                }


            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }



            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_solicita_pesoActionPerformed

    private void receber_config_serialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_receber_config_serialActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                if ((opcao_caso == 0) || (opcao_caso == 1) || (opcao_caso == 3) || (opcao_caso == 2)) {


                    microterminal.mt_reqconfigserial(terminal, (byte) opcao_caso);
                    enderecos = Trata_Conexao.getEnderecos();
                    area_log1.append("\nIDvGetSetupSerial - " + enderecos[0]);
                } else {
                    JOptionPane.showMessageDialog(this, "Selecione a porta COM1, a porta COM2, "
                            + "a porta COM3 ou a porta COM4 para receber as configurações!", "MTI-7000", 1);
                }


            } else {
                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }



            Thread.sleep(200);


        } catch (HeadlessException | InterruptedException e) {
            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_receber_config_serialActionPerformed

    private void ativa_terminadorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ativa_terminadorActionPerformed
        if (controle_ativado == 0) {
            try {
                microterminal = Estrutura_Dados.INSTANCE;
                terminal = endereco_ip.getIndex();

                if (terminal == 1) {

                    String texto_serial_palavra = texto_serial.getText();

                    if (texto_serial_palavra.isEmpty() == false) {

                        int term_serial = Integer.decode(texto_serial_palavra);

                        if ((opcao_caso == 0) || (opcao_caso == 1) || (opcao_caso == 3) || (opcao_caso == 2)) {

                            if ((opcao_caso == 3) || (opcao_caso == 2)) {

                                JOptionPane.showMessageDialog(this, "A porta COM3 e a porta COM4 não suporta a "
                                        + "função de ativar ou desativar " + "terminador!\nSelecione a porta COM1 "
                                        + "ou a porta COM2 para ativar ou desativar o terminador!", "MTI-7000", 1,
                                        new ImageIcon("src/Imagem/Gertec.jpg"));
                                ativa_terminador.setSelected(false);


                            } else {

                                microterminal.mt_settermserial(terminal, opcao_caso, term_serial, 1);
                                enderecos = Trata_Conexao.getEnderecos();
                                area_log1.append("\nByteTerminador - " + "" + texto_serial_palavra + " - "
                                        + "Ativado -" + "" + enderecos[0]);
                                desativa_terminador.setSelected(false);
                                controle_ativado++;
                                controle_desativado = 0;
                            }

                        } else {

                            JOptionPane.showMessageDialog(this, "Selecione uma porta COM para ativar o "
                                    + "terminador!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                            ativa_terminador.setSelected(false);
                        }
                    } else {


                        JOptionPane.showMessageDialog(this, "Digite um byte do terminador no formato (0x00)!",
                                "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        ativa_terminador.setSelected(false);
                    }

                } else {


                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                    ativa_terminador.setSelected(false);
                }

                Thread.sleep(200);

            } catch (HeadlessException | InterruptedException e) {

                microterminal = Estrutura_Dados.INSTANCE;
                acao.stop();
                conect.stop();
                microterminal.mt_finishserver();
                JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
                System.exit(1);
            }

        } else {
            ativa_terminador.setSelected(true);
        }
    }//GEN-LAST:event_ativa_terminadorActionPerformed

    private void habilitar_serial_comActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_habilitar_serial_comActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                if ((opcao_caso == 0) || (opcao_caso == 1)) {

                    microterminal.mt_setenableserial(terminal, (byte) opcao_caso, true);
                    enderecos = Trata_Conexao.getEnderecos();
                    area_log1.append("\nIDvSetEnableSerial - " + enderecos[0]);
                } else {
                    JOptionPane.showMessageDialog(this, "Selecione a porta COM1 ou a porta COM2 para habilitar a "
                            + "serial!", "MTI-7000", 1);
                }

            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }
            Thread.sleep(200);

        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_habilitar_serial_comActionPerformed

    private void desabilitar_serial_comActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_desabilitar_serial_comActionPerformed
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                if ((opcao_caso == 0) || (opcao_caso == 1)) {

                    microterminal.mt_setenableserial(terminal, (byte) opcao_caso, false);
                    enderecos = Trata_Conexao.getEnderecos();
                    area_log1.append("\nIDvSetEnableSerial - " + enderecos[0]);
                } else {
                    JOptionPane.showMessageDialog(this, "Selecione a porta COM1 ou a porta COM2 para desabilitar "
                            + "a serial!", "MTI-7000", 1);
                }

            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);
        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_desabilitar_serial_comActionPerformed

    private void enviar_serialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_serialActionPerformed
        try {
            microterminal = Estrutura_Dados.INSTANCE;

            terminal = endereco_ip.getIndex();

            if (terminal == 1) {

                if ((opcao_caso == 0) || (opcao_caso == 1) || (opcao_caso == 3) || (opcao_caso == 2)) {

                    String palavra = recebe_serial.getText();

                    if (palavra.isEmpty() == true) {

                        JOptionPane.showMessageDialog(this, "Campo inválido! Insira uma palavra "
                                + "para a impressão!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                    }
                    if (palavra.isEmpty() == false) {

                        byte ded3 = (byte) 255;

                        microterminal.mt_sendbinserial(terminal, (byte) opcao_caso, palavra, ded3);
                        enderecos = Trata_Conexao.getEnderecos();
                        area_log1.append("\nIDvSendBinSerial - " + palavra + " - " + enderecos[0]);
                    }

                } else {

                    JOptionPane.showMessageDialog(this, "Selecione uma porta COM! Selecione a porta "
                            + "COM3 para " + "imprimir pequeno,\na porta COM4 para imprimir grande, a "
                            + "porta COM1 ou a porta COM2!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                }
            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }
            Thread.sleep(200);

        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }
    }//GEN-LAST:event_enviar_serialActionPerformed

    private void seleciona_comActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_seleciona_comActionPerformed
        //Seleciona uma porta COM e define as constantes inteira    
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                String codigo1 = seleciona_com.getSelectedItem().toString();
                switch (codigo1) {
                    case "COM1":
                        Testar_DLL.opcao_caso = 0;
                        break;
                    case "COM2":
                        Testar_DLL.opcao_caso = 1;
                        break;
                    case "COM3":
                        Testar_DLL.opcao_caso = 3;
                        break;
                    case "COM4":
                        Testar_DLL.opcao_caso = 2;
                        break;
                }

            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);
        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }


    }//GEN-LAST:event_seleciona_comActionPerformed

    private void bitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bitsActionPerformed
//Seleciona os bits da serial
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                String codigo3 = bits.getSelectedItem().toString();
                switch (codigo3) {
                    case "7":
                        Testar_DLL.opcao_bits = 3;
                        break;
                    case "8":
                        Testar_DLL.opcao_bits = 4;
                        break;
                }
            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);
        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }


    }//GEN-LAST:event_bitsActionPerformed

    private void parityActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_parityActionPerformed
        //Seleciona a paridade da serial 
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                String codigo4 = parity.getSelectedItem().toString();
                switch (codigo4) {
                    case "Nenhum":
                        Testar_DLL.opcao_parity = 1;
                        break;
                    case "Ímpar":
                        Testar_DLL.opcao_parity = 2;
                        break;
                    case "Par":
                        Testar_DLL.opcao_parity = 3;
                        break;
                }
            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);
        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_parityActionPerformed

    private void baudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_baudActionPerformed
//Seleciona o baud rate da serial
        try {

            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();

            if (terminal == 1) {
                String codigo2 = baud.getSelectedItem().toString();
                switch (codigo2) {
                    case "300":
                        Testar_DLL.opcao_baud = 1;
                        break;
                    case "1200":
                        Testar_DLL.opcao_baud = 2;
                        break;
                    case "2400":
                        Testar_DLL.opcao_baud = 3;
                        break;
                    case "4800":
                        Testar_DLL.opcao_baud = 4;
                        break;
                    case "9600":
                        Testar_DLL.opcao_baud = 5;
                        break;
                    case "19200":
                        Testar_DLL.opcao_baud = 6;
                        break;
                }


            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
            }

            Thread.sleep(200);
        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }


    }//GEN-LAST:event_baudActionPerformed

    private void enviar_config_serialActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_enviar_config_serialActionPerformed
        try {


            microterminal = Estrutura_Dados.INSTANCE;
            terminal = endereco_ip.getIndex();


            if (terminal == 1) {


                if ((opcao_caso == 0) || (opcao_caso == 1)) {

                    Enviar_Serial_Auxiliar enviar = new Enviar_Serial_Auxiliar();

                    if (opcao_caso == 0) {

                        enviar.com = (byte) 0;

                        if (opcao_baud == 1) {
                            enviar.configuracao.baud_rate = (int) 768;
                        }
                        if (opcao_baud == 2) {
                            enviar.configuracao.baud_rate = (int) 3072;
                        }
                        if (opcao_baud == 3) {
                            enviar.configuracao.baud_rate = (int) 6144;
                        }
                        if (opcao_baud == 4) {
                            enviar.configuracao.baud_rate = (int) 12288;
                        }
                        if (opcao_baud == 5) {
                            enviar.configuracao.baud_rate = (int) 24576;
                        }
                        if (opcao_baud == 6) {
                            enviar.configuracao.baud_rate = (int) 49152;
                        }


                        if (opcao_bits == 1) {
                            enviar.configuracao.bits = (short) 1792;
                        }
                        if (opcao_bits == 2) {
                            enviar.configuracao.bits = (short) 2048;
                        }



                        if (opcao_parity == 1) {
                            enviar.configuracao.parity = (short) 0;
                        }
                        if (opcao_parity == 2) {
                            enviar.configuracao.parity = (short) 256;
                        }
                        if (opcao_parity == 3) {
                            enviar.configuracao.parity = (short) 512;
                        }

                        enviar.configuracao.stop = (short) 1;
                        enviar.configuracao.handshake = (byte) 1;
                    }





                    if (opcao_caso == 1) {

                        enviar.com = (byte) 1;

                        if (opcao_baud == 1) {
                            enviar.configuracao.baud_rate = (int) 76801;
                        }
                        if (opcao_baud == 2) {
                            enviar.configuracao.baud_rate = (int) 307201;
                        }
                        if (opcao_baud == 3) {
                            enviar.configuracao.baud_rate = (int) 614401;
                        }
                        if (opcao_baud == 4) {
                            enviar.configuracao.baud_rate = (int) 1228801;
                        }
                        if (opcao_baud == 5) {
                            enviar.configuracao.baud_rate = (int) 2457601;
                        }
                        if (opcao_baud == 6) {
                            enviar.configuracao.baud_rate = (int) 4915201;
                        }


                        if (opcao_bits == 1) {
                            enviar.configuracao.bits = (short) 1280;
                        }
                        if (opcao_bits == 2) {
                            enviar.configuracao.bits = (short) 1536;
                        }
                        if (opcao_bits == 3) {
                            enviar.configuracao.bits = (short) 1792;
                        }
                        if (opcao_bits == 4) {
                            enviar.configuracao.bits = (short) 2048;



                        }
                        if (opcao_parity == 1) {
                            enviar.configuracao.parity = (short) 0;
                        }
                        if (opcao_parity == 2) {
                            enviar.configuracao.parity = (short) 256;
                        }
                        if (opcao_parity == 3) {
                            enviar.configuracao.parity = (short) 512;

                            enviar.configuracao.stop = (short) 1;
                            enviar.configuracao.handshake = (byte) 1;
                        }


                    }


                    microterminal.mt_sendconfigserial(terminal, enviar);

                    Thread.sleep(50);

                    microterminal.mt_restart(terminal);
                    enderecos = Trata_Conexao.getEnderecos();
                    area_log1.append("\nIDvSetSetupSerial - " + enderecos[0]);
                } else {


                    JOptionPane.showMessageDialog(this, "Selecione a porta COM1 ou a porta COM2 para enviar"
                            + " as " + "configurações!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                }

            } else {

                JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
            }
            Thread.sleep(200);

        } catch (HeadlessException | InterruptedException e) {

            microterminal = Estrutura_Dados.INSTANCE;
            acao.stop();
            conect.stop();
            microterminal.mt_finishserver();
            JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                    new ImageIcon("src/Imagem/Gertec.jpg"));
            System.exit(1);
        }

    }//GEN-LAST:event_enviar_config_serialActionPerformed

    private void desativa_terminadorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_desativa_terminadorActionPerformed
        if (controle_desativado == 0) {
            try {

                microterminal = Estrutura_Dados.INSTANCE;
                terminal = endereco_ip.getIndex();


                if (terminal == 1) {

                    String texto_serial_palavra = texto_serial.getText();

                    if (texto_serial_palavra.isEmpty() == false) {

                        int term_serial = Integer.decode(texto_serial_palavra);

                        if ((opcao_caso == 0) || (opcao_caso == 1) || (opcao_caso == 3) || (opcao_caso == 2)) {

                            if ((opcao_caso == 3) || (opcao_caso == 2)) {

                                JOptionPane.showMessageDialog(this, "A porta COM3 e a porta COM4 não suporta a "
                                        + "função de ativar ou desativar " + "terminador!\nSelecione a porta COM1 "
                                        + "ou a porta COM2 para ativar ou desativar o terminador!", "MTI-7000", 1,
                                        new ImageIcon("src/Imagem/Gertec.jpg"));
                                desativa_terminador.setSelected(false);


                            } else {

                                microterminal.mt_settermserial(terminal, opcao_caso, term_serial, 0);
                                enderecos = Trata_Conexao.getEnderecos();
                                area_log1.append("\nByteTerminador - " + "" + texto_serial_palavra + " - "
                                        + "Desativado -" + "" + enderecos[0]);
                                ativa_terminador.setSelected(false);
                                controle_desativado++;
                                controle_ativado = 0;
                            }

                        } else {

                            JOptionPane.showMessageDialog(this, "Selecione uma porta COM para desativar o "
                                    + "terminador!", "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                            desativa_terminador.setSelected(false);
                        }

                    } else {

                        JOptionPane.showMessageDialog(this, "Digite um byte do terminador no formato (0x00)!",
                                "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));
                        desativa_terminador.setSelected(false);
                    }
                } else {

                    JOptionPane.showMessageDialog(this, "Selecione um terminal na lista de IP!", "MTI-7000", 1,
                            new ImageIcon("src/Imagem/Gertec.jpg"));
                    desativa_terminador.setSelected(false);
                }

                Thread.sleep(200);

            } catch (HeadlessException | InterruptedException e) {

                microterminal = Estrutura_Dados.INSTANCE;
                acao.stop();
                conect.stop();
                microterminal.mt_finishserver();
                JOptionPane.showMessageDialog(this, "FIM DO APLICATIVO COM ERRO!", "MTI-7000", 1,
                        new ImageIcon("src/Imagem/Gertec.jpg"));
                System.exit(1);
            }
        } else {
            desativa_terminador.setSelected(true);
        }

    }//GEN-LAST:event_desativa_terminadorActionPerformed

    private void ip_dinamicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ip_dinamicoActionPerformed
        //Seleciona o IP dinâmico
        if (seldinamico == 0) {
            ip_dinamico.setSelected(true);
            seldinamico++;
        } else {
            ip_dinamico.setSelected(false);
            seldinamico = 0;
        }
    }//GEN-LAST:event_ip_dinamicoActionPerformed
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Testar_DLL().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public static javax.swing.JTextArea area_log1;
    public static javax.swing.JRadioButton ativa_terminador;
    private javax.swing.JButton atualizar_log;
    private javax.swing.JButton backspace;
    public static javax.swing.JComboBox baud;
    public static javax.swing.JComboBox bits;
    private javax.swing.JTextField caractere;
    private javax.swing.JTextField col_ref;
    private javax.swing.JPanel configurar_display;
    private javax.swing.JPanel configurar_geral;
    private javax.swing.JPanel configurar_log;
    private javax.swing.JPanel configurar_rede;
    private javax.swing.JPanel configurar_serial;
    private javax.swing.JButton des_palavra;
    private javax.swing.JButton desabilita_cartao;
    private javax.swing.JButton desabilitar_serial_com;
    public static javax.swing.JRadioButton desativa_terminador;
    private javax.swing.JButton desligar_beep;
    private javax.swing.JPanel display_interno;
    private javax.swing.JButton enviar_caractere;
    private javax.swing.JButton enviar_config_serial;
    private javax.swing.JButton enviar_dns;
    private javax.swing.JButton enviar_ethernet;
    private javax.swing.JButton enviar_serial;
    private javax.swing.JButton enviar_texto;
    private javax.swing.JPanel geral_interno;
    private javax.swing.JButton hab_palavra;
    private javax.swing.JButton habilita_cartao;
    private javax.swing.JButton habilitar_serial_com;
    public static javax.swing.JCheckBox ip_dinamico;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JButton ligar_beep;
    private javax.swing.JButton limpar_display;
    private javax.swing.JButton limpar_linha;
    private javax.swing.JButton limpar_log;
    private javax.swing.JTextField linha_limpa;
    private javax.swing.JTextField linha_ref;
    private javax.swing.JScrollPane lista_log;
    private javax.swing.JButton listar_ip;
    private javax.swing.JPanel log_interno;
    private javax.swing.JCheckBox modo_eco;
    private javax.swing.JCheckBox modo_senha;
    public static javax.swing.JComboBox parity;
    private javax.swing.JLabel plano_fundo;
    private javax.swing.JTextField pos_col;
    private javax.swing.JTextField pos_linha;
    private javax.swing.JButton posicao_inicial;
    private javax.swing.JButton posiciona;
    private javax.swing.JButton posiciona_ref;
    private javax.swing.JButton pular_linha;
    public static javax.swing.JTextField recebe_cartao;
    public static javax.swing.JTextField recebe_serial;
    private javax.swing.JTextField recebe_texto;
    private javax.swing.JButton receber_config_serial;
    private javax.swing.JButton receber_dns;
    private javax.swing.JButton receber_ethernet;
    private javax.swing.JPanel rede_interno;
    public static javax.swing.JComboBox seleciona_com;
    private javax.swing.JPanel serial_interno;
    private javax.swing.JButton solicita_peso;
    private javax.swing.JTabbedPane tabela;
    private javax.swing.JButton tecla_desligada;
    private javax.swing.JButton tecla_ligada;
    private javax.swing.JLabel texto_balanca;
    private javax.swing.JLabel texto_baud;
    private javax.swing.JLabel texto_bits;
    public static javax.swing.JTextField texto_cliente;
    private javax.swing.JLabel texto_coluna1;
    private javax.swing.JLabel texto_coluna2;
    public static javax.swing.JTextField texto_dns;
    private javax.swing.JLabel texto_dns_label;
    private javax.swing.JTextField texto_editado;
    private javax.swing.JLabel texto_formato;
    public static javax.swing.JTextField texto_gateway;
    private javax.swing.JLabel texto_gateway_label;
    private javax.swing.JLabel texto_ip_label;
    private javax.swing.JLabel texto_linha1;
    private javax.swing.JLabel texto_linha2;
    public static javax.swing.JTextField texto_mascara;
    private javax.swing.JLabel texto_mascara_label;
    private javax.swing.JLabel texto_parity;
    private javax.swing.JLabel texto_porta;
    public static javax.swing.JTextField texto_serial;
    public static javax.swing.JTextField texto_servidor;
    private javax.swing.JLabel texto_servidor_label;
    public static javax.swing.JTextField texto_terminal;
    private javax.swing.JLabel texto_terminal_label;
    // End of variables declaration//GEN-END:variables

    //Método que escreve no log
    public static void setEvento(String _evento) {
        area_log1.append(_evento + "\n");

    }
    //Método que limpa o logo

    private void setLimpa(JTextArea area) {
        area_log1.setText("");
    }
    //Método que mostra a hora e data do sistema

    public String getDate() {
        DateFormat dateFormat = new SimpleDateFormat("\t\t                dd/MM/yyyy HH:mm:ss");
        Date data = new Date();
        return dateFormat.format(data);
    }

    //Método que faz o controle da janela de Teste da DLL
    public void set_diminui_menu(int num2) {
        Testar_DLL.parametro = parametro - num2;
    }

    //Método que faz o controle se a janela de teste da DLL foi aberta
    public int get_aux() {
        return parametro;
    }

    //Método que faz o controle da janela de Teste da DLL
    public void set_aumenta_menu(int num1) {
        Testar_DLL.parametro = parametro + num1;


    }
}
