package Thread;

import DLL.Estrutura_Dados;
import Telas.Microterminal;
import Telas.Testar_DLL;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class Trata_Conexao implements Runnable {

    int controle = 0, controle02 = 0;
    String endereco = "";
    static String[] vetorEnderecos = new String[254];
    static Estrutura_Dados microterminal = null;
    static boolean habilitar = true;

    @Override
    public void run() {

        //THREAD
        while (habilitar) {



            controle02 = 0;
            microterminal = Estrutura_Dados.INSTANCE;

            //Zera as posições do vetor de endereços de IP
            for (int x = 1; x <= 254; x++) {
                vetorEnderecos[x - 1] = null;
            }

            //Define um IP para cada posição do vetor de endereços de IP
            for (int x = 1; x <= 254; x++) {
                endereco = microterminal.mt_ipfromid(x);
                if (endereco != null) {
                    vetorEnderecos[x - 1] = endereco;
                    controle02++;
                }
            }

            if (controle02 < controle) {
                controle = controle02;
            }

            if (controle02 != controle) {

                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                microterminal.mt_gotoxy(controle02, 1, 0);
                microterminal.mt_dispstr(controle02, "****************");
                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                microterminal.mt_gotoxy(controle02, 2, 0);
                microterminal.mt_dispstr(controle02, "SISTEMA MTI-7000");
                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                microterminal.mt_gotoxy(controle02, 3, 0);
                microterminal.mt_dispstr(controle02, "****************");
                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                microterminal.mt_gotoxy(controle02, 8, 0);
                microterminal.mt_dispstr(controle02, "****************");
                microterminal.mt_gotoxy(controle02, 4, 0);

                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }

                microterminal.mt_setenablekey(controle02, true);

                JOptionPane.showMessageDialog(null, "Selecione um terminal na lista de IP CONECTADOS!",
                        "MTI-7000", 1, new ImageIcon("src/Imagem/Gertec.jpg"));

                try {
                    Thread.sleep(70);
                } catch (InterruptedException ex) {
                    Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
                }


                controle = controle02;

                Microterminal.set_controle_tela(1);

            }

            //Adiciona na janela de log os IP's que se conectaram
            if (vetorEnderecos[0] != null) {
                Microterminal.log1.append("\nIDvLive - " + vetorEnderecos[0]);
                Testar_DLL.area_log1.append("\nIDvLive - " + vetorEnderecos[0]);
            }


            try {
                Thread.sleep(7000);
            } catch (InterruptedException ex) {
                Logger.getLogger(Trata_Conexao.class.getName()).log(Level.SEVERE, null, ex);
            }
            run();
        }

    }

    //Método que retorna os endereços de IP
    public static String[] getEnderecos() {
        return vetorEnderecos;
    }

    //Método que para a Thread
    public void stop() {
        Trata_Conexao.habilitar = false;
    }
}
